<?php

/**
 * @name		Template Creator CK
 * @copyright	Copyright (C) since 2011. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access
defined('TCK_LOADED') or die;
require_once TEMPLATECREATORCK_PATH . '/controller.php';

class TemplateckControllerInterface extends TemplateckController {

	/**
	 * Load the needed interface
	 * 
	 * @return void
	 */
	public function load() {
		// security check
		TemplateckHelper::checkAjaxToken();

		$input = new TCK_Input();
		$layout = $input->get('layout', '', 'cmd');
		if (! $layout) return;

		$this->input = new TCK_Input();
		$this->interface = new CKInterface();
		$this->imagespath = TEMPLATECREATORCK_MEDIA_URI . '/images/interface/';

		require_once(TEMPLATECREATORCK_PATH . '/interfaces/' . $layout . '.php');
		exit;
	}
}