<?php

global $jal_db_version;
// $jal_db_version = '1.0';

function templatecreatorck_sql_install() {
	global $wpdb;
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	// global $jal_db_version;

	$table_templates_name = $wpdb->prefix . 'templateck_templates';
	$table_fonts_name = $wpdb->prefix . 'templateck_fonts';

	$charset_collate = $wpdb->get_charset_collate();

	// create the fonts table
	$sql = "CREATE TABLE IF NOT EXISTS $table_fonts_name (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`name` text NOT NULL,
	`styles` text NOT NULL,
	`fontfamilies` text NOT NULL,
	`published` int(11) NOT NULL DEFAULT '1',
	PRIMARY KEY (`id`)
	) $charset_collate ;";

	dbDelta( $sql );

	// create the templates table
	$sql = "CREATE TABLE IF NOT EXISTS $table_templates_name (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`joomlaversion` text NOT NULL,
	`name` text NOT NULL,
	`ordering` int(11) NOT NULL,
	`published` int(11) NOT NULL DEFAULT '1',
	`creationdate` varchar(255) NOT NULL,
	`author` varchar(255) NOT NULL,
	`authoremail` varchar(255) NOT NULL,
	`authorurl` varchar(255) NOT NULL,
	`copyright` varchar(255) NOT NULL,
	`license` varchar(255) NOT NULL,
	`version` varchar(255) NOT NULL,
	`description` varchar(255) NOT NULL,
	`htmlcode` longtext NOT NULL,
	`stylecode` longtext NOT NULL,
	`theme` text NOT NULL,
	`cssparams` text NOT NULL,
	`options` text NOT NULL,
	`htmlcode_responsive` longtext NOT NULL,
	PRIMARY KEY (`id`)
	) $charset_collate ;";

	dbDelta( $sql );

	// add_option( 'jal_db_version', $jal_db_version );
}

function templatecreatorck_sql_install_data() {
	/*global $wpdb;
	
	$welcome_name = 'Mr. WordPress';
	$welcome_text = 'Congratulations, you just completed the installation!';
	
	$table_name = $wpdb->prefix . 'liveshoutbox';
	
	$wpdb->insert( 
		$table_name, 
		array( 
			'time' => current_time( 'mysql' ), 
			'name' => $welcome_name, 
			'text' => $welcome_text, 
		) 
	);*/
}

function templatecreatorck_sql_create_table_layouts() {
	global $wpdb;
	$charset_collate = $wpdb->get_charset_collate();

	$sql = "CREATE TABLE IF NOT EXISTS " . $wpdb->prefix . "templateck_layouts (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`template_id` int(11) NOT NULL,
	`type` text NOT NULL,
	`htmlcode` longtext NOT NULL,
	`styles` text NOT NULL,
	`published` int(11) NOT NULL DEFAULT '1',
	PRIMARY KEY (`id`)
	)";

	return $sql;
}