<?php
/**
 * @name		Template Creator CK 3
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('ABSPATH') or die('Restricted access');
// $app = JFactory::getApplication();
$input = new TCK_Input();
$templateid = $input->get('templateid', ''); 
$templatename = $input->get('templatename', '', 'string');
$path = get_theme_root() . '/' . $templatename;

$customcode = '';
$customcodeendbody = '';
// test if a custom css exists
if (TCK_File::exists($path . '/customheader.php')) {
	$customcode = TCK_File::read($path . '/customheader.php');
} else {
//	echo TCK_Text::_('CK_NO_CUSTOMCODE_FILE_FOUND');
}

if (TCK_File::exists($path . '/customcodeendbody.php')) {
	$customcodeendbody = TCK_File::read($path . '/customcodeendbody.php');
}
?>
<script>
var editor_customcode = CodeMirror.fromTextArea(document.getElementById("customcode"), {
	mode: "css",
//	styleActiveLine: true,
	lineNumbers: true,
//	lineWrapping: true
});
var editor_customcodeendbody = CodeMirror.fromTextArea(document.getElementById("customcodeendbody"), {
	mode: "javascript",
//	styleActiveLine: true,
	lineNumbers: true,
	lineWrapping: true
});

</script>
<div class="cktitle"><?php echo TCK_Text::_('CK_PAGECUSTOMCODE_INFOS'); ?></div>
<div class="ckinterfacedesc"><?php echo TCK_Text::_('CK_PAGECUSTOMCODE_DESC'); ?></div>
<div class="ckinterfacetitle"><?php echo TCK_Text::_('CK_CUSTOMCODE_IN_HEAD'); ?></div>
<textarea id="customcode" cols="50" rows="20" style="color: #777;"><?php echo $customcode; ?></textarea>
<div class="ckinterfacetitle"><?php echo TCK_Text::_('CK_CUSTOMCODE_END_BODY'); ?></div>
<textarea id="customcodeendbody" cols="50" rows="20" style="color: #777;"><?php echo $customcodeendbody; ?></textarea>

