<?php

/**
 * @name		Template Creator CK 3
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access
defined('ABSPATH') or die;


$input = new TCK_Input();
$file = $input->files->get('file', '', 'array');

if (!is_array($file)) {
	$msg = TCK_Text::_('CK_NO_FILE_RECEIVED');
	echo '{"error" : "' . $msg . '"}';
	exit;
}

$filename = TCK_File::makeSafe($file['name']);

// check the file extension // TODO recup preg_match de local dev
// if (TCK_File::getExt($filename) != 'jpg') {
	// $msg = TCK_Text::_('CK_NOT_JPG_FILE');
	// echo '{"error" : "'  $msg  '"}';
	// exit;
// }

//Set up the source and destination of the file
$src = $file['tmp_name'];

// check if the file exists
if (!$src || !TCK_File::exists($src)) {
	$msg = TCK_Text::_('CK_FILE_NOT_EXISTS');
	echo '{"error" : "' . $msg . '"}';
	exit;
}

// These files need to be included as dependencies when on the front end.
require_once( ABSPATH . 'wp-admin/includes/image.php' );
require_once( ABSPATH . 'wp-admin/includes/file.php' );
require_once( ABSPATH . 'wp-admin/includes/media.php' );

$attachment_id = media_handle_upload( 'file', $_POST['post_id'] );
$upload_dir = wp_upload_dir();

if ( is_wp_error( $attachment_id ) ) {
	// There was an error uploading the image.
	$msg = TCK_Text::_('CK_UNABLE_WRITE_FILE');
	echo '{"error" : "' . $msg . '"}';
} else {
	// The image was uploaded successfully!
	echo '{"img" : "' . $upload_dir['url'] . '/' . $filename . '","datasrc" : "' . str_replace(home_url(), '', $upload_dir['url']) . '/' . $filename . '","title" : "' . $filename . '","id" : "' . $attachment_id . '"}';
}

exit;
//home_url()
/*
// set the upload path and create it if needed
$upload_dir = wp_upload_dir();
$imgpath = $upload_dir['path'];
if ( ! file_exists( $imgpath ) ) {
    wp_mkdir_p( $imgpath );
}

// check if folder exists, if not then create it
// if (!TCK_Folder::exists(TCK_PATH_SITE . $imgpath)) {
	// if (!TCK_Folder::create(TCK_PATH_SITE . $imgpath)) {
		// $msg = TCK_Text::_('CK_UNABLE_TO_CREATE_FOLDER') . ' : ' . $imgpath;
		// echo '{"error" : "' . $msg . '"}';
		// exit;
	// }
// }

// write the file
if (! TCK_File::copy($src, $imgpath . '/' . $filename)) {
	$msg = TCK_Text::_('CK_UNABLE_WRITE_FILE');
	echo '{"error" : "' . $msg . '"}';
	exit;
}
echo '{"img" : "' . $upload_dir['url'] . '/' . $filename . '"}';
exit;*/
