<?php
/**
 * @name		Template Creator CK 3
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('TCK_LOADED') or die('Restricted access');
$prefix = 'bloc';
$joomlaversion = 'j3';
?>
<div id="ckwizardmodal" style="display: none;">
	<div class="cktitle"><?php echo TCK_Text::_('CK_WIZARD') ?></div>
	<div class="ckinterface">
	<fieldset>
	<legend><?php echo TCK_Text::_('CK_OPTIONS') ?></legend>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_NAME', 'text_signature.png') ?>
			<span class="ckoption-field">
				<input class="inputbox ckhastip" type="text" name="name" data-id="name" value="" onchange="this.value=ckValidateName(this.value);" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_WRAPPER_WIDTH', 'width.png') ?>
			<span class="ckoption-field">
				<input class="inputbox ckhastip" type="text" title="<?php echo TCK_Text::_('CK_WRAPPER_WIDTH_DESC'); ?>" name="<?php echo $prefix; ?>width" data-id="<?php echo $prefix; ?>width" value="" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_WRAPPER_FLUID', 'width.png') ?>
			<span class="ckoption-field">
				<select class="inputbox" type="list" name="<?php echo $prefix; ?>wrapperfluid" data-id="<?php echo $prefix; ?>wrapperfluid" >
					<option value="fixed"><?php echo TCK_Text::_('CK_FIXED'); ?></option>
					<option value="fluid"><?php echo TCK_Text::_('CK_FLUID'); ?></option>
				</select>
			</span>
		</div>
		<?php if (TEMPLATECREATORCK_PLATFORM == 'joomla' && $joomlaversion == 'j3') { ?>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_LOAD_BOOTSTRAP', 'add.png') ?>
			<span class="ckoption-field">
				<select class="inputbox cksmall" type="list" name="<?php echo $prefix; ?>loadboostrap" data-id="<?php echo $prefix; ?>loadboostrap" >
					<option value="0"><?php echo TCK_Text::_('CK_NO'); ?></option>
					<option value="1"><?php echo TCK_Text::_('CK_YES'); ?></option>
				</select>
			</span>
		</div>
		<?php } else { ?>
			<input class="inputbox" type="hidden" name="<?php echo $prefix; ?>loadboostrap" data-id="<?php echo $prefix; ?>loadboostrap" value="0" />
		<?php } ?>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_LOAD_FONTAWESOME', 'add.png') ?>
			<span class="ckoption-field">
				<select class="inputbox" type="list" name="<?php echo $prefix; ?>loadfontawesome" data-id="<?php echo $prefix; ?>loadfontawesome" >
					<option value="2"><?php echo TCK_Text::_('CK_AUTO'); ?></option>
					<option value="1"><?php echo TCK_Text::_('CK_YES'); ?></option>
					<option value="0"><?php echo TCK_Text::_('CK_NO'); ?></option>
				</select>
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_GOOGLEANALYTICS', 'chart_line.png') ?>
			<span class="ckoption-field">
				<select class="inputbox cksmall" type="list" name="<?php echo $prefix; ?>loadgoogleanalytics" data-id="<?php echo $prefix; ?>loadgoogleanalytics" >
					<option value="0"><?php echo TCK_Text::_('CK_NO'); ?></option>
					<option value="1"><?php echo TCK_Text::_('CK_YES'); ?></option>
				</select>
			</span>
		</div>
		</fieldset>
		<fieldset>
	<legend><?php echo TCK_Text::_('CK_GENERAL') ?></legend>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_BACKGROUNDCOLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="<?php echo $prefix; ?>backgroundcolorstart" data-id="<?php echo $prefix; ?>backgroundcolorstart" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_COLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="<?php echo $prefix; ?>color" data-id="<?php echo $prefix; ?>color" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_SIZE', 'font.png') ?>
			<span class="ckoption-field">
				<input class="inputbox cksmall" type="text" value="" name="<?php echo $prefix; ?>fontsize" data-id="<?php echo $prefix; ?>fontsize" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_POLICE', 'color.png') ?>
			<span class="ckoption-field">
				<select class="inputbox" name="<?php echo $prefix; ?>fontfamily" data-id="<?php echo $prefix; ?>fontfamily">
					<option value="default"><?php echo TCK_Text::_('CK_DEFAULT'); ?></option>
					<option style="font-family:Times New Roman;" value="Times New Roman, Serif">Times New Roman</option>
					<option style="font-family:Helvetica;" value="Helvetica, sans-serif">Helvetica</option>
					<option style="font-family:Georgia;" value="Georgia, serif">Georgia</option>
					<option style="font-family:Courier New;" value="Courier New, serif">Courier New</option>
					<option style="font-family:Arial;" value="Arial, sans-serif">Arial</option>
					<option style="font-family:Verdana;" value="Verdana, sans-serif">Verdana</option>
					<option style="font-family:Comic Sans MS;" value="Comic Sans MS, cursive">Comic Sans MS</option>
					<option style="font-family:Tahoma;" value="Tahoma, sans-serif">Tahoma</option>
					<option style="font-family:Segoe UI;" value="Segoe UI, sans-serif">Segoe UI</option>
					<?php
					/*if (empty($this->customfonts)) {
						$this->customfonts = $this->_getFontsData();
					}
					$customfonts = $this->_getFonts();
					foreach ($customfonts as $font) {
						$fontmore = isset($this->customfonts[$font]) && $this->customfonts[$font]->alternatives ? ',' . $this->customfonts[$font]->alternatives : '';
						echo '<option style="font-family:' . $font . ';" value="' . $font . $fontmore . '">' . str_replace("'", "", $font) . '</option>';
					}*/
					?>
				</select>
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_LINEHEIGHT', 'text_linespacing.png') ?>
			<span class="ckoption-field">
				<input class="inputbox" type="text" name="<?php echo $prefix; ?>lineheight" data-id="<?php echo $prefix; ?>lineheight" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_NORMALLINK', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="<?php echo $prefix; ?>normallinkcolor" data-id="<?php echo $prefix; ?>normallinkcolor" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_HOVERLINK', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="<?php echo $prefix; ?>hoverlinkcolor" data-id="<?php echo $prefix; ?>hoverlinkcolor" />
			</span>
		</div>
		</fieldset>
		<fieldset>
	<legend><?php echo TCK_Text::_('CK_TITLES') ?></legend>
		<h3>H1</h3>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_COLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="h1titlecolor" data-id="h1titlecolor" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_SIZE', 'font.png') ?>
			<span class="ckoption-field">
				<input class="inputbox cksmall" type="text" value="" name="h1titlefontsize" data-id="h1titlefontsize" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_LINEHEIGHT', 'text_linespacing.png') ?>
			<span class="ckoption-field">
				<input class="inputbox" type="text" name="h1titlelineheight" data-id="h1titlelineheight" />
			</span>
		</div>
		<h3>H2</h3>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_COLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="h2titlecolor" data-id="h2titlecolor" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_SIZE', 'font.png') ?>
			<span class="ckoption-field">
				<input class="inputbox cksmall" type="text" value="" name="h2titlefontsize" data-id="h2titlefontsize" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_LINEHEIGHT', 'text_linespacing.png') ?>
			<span class="ckoption-field">
				<input class="inputbox" type="text" name="h2titlelineheight" data-id="h2titlelineheight" />
			</span>
		</div>
		<h3>H3</h3>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_COLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="h3titlecolor" data-id="h3titlecolor" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_SIZE', 'font.png') ?>
			<span class="ckoption-field">
				<input class="inputbox cksmall" type="text" value="" name="h3titlefontsize" data-id="h3titlefontsize" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_LINEHEIGHT', 'text_linespacing.png') ?>
			<span class="ckoption-field">
				<input class="inputbox" type="text" name="h3titlelineheight" data-id="h3titlelineheight" />
			</span>
		</div>
		</fieldset>
		<fieldset>
	<legend><?php echo TCK_Text::_('CK_BUTTONS_AND_FORMS') ?></legend>
		<h3><?php echo TCK_Text::_('CK_BUTTON') ?><span class="ckinfosdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></span></h3>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_BACKGROUNDCOLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="buttonbuttonbackgroundcolorstart" data-id="buttonbuttonbackgroundcolorstart" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_COLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="buttonbuttontitlecolor" data-id="buttonbuttontitlecolor" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_PADDING', 'padding_right.png') ?>
			<span class="ckoption-field">
				<input class="inputbox ckhastip" type="text" value="" name="buttonbuttonpaddingtop" data-id="buttonbuttonpaddingtop" style="width:25px;float:left;margin-right:10px;border-top-color:#1AA0E1;" title="<?php echo TCK_Text::_('CK_TOP'); ?>" />
				<input class="inputbox ckhastip" type="text" value="" name="buttonbuttonpaddingright" data-id="buttonbuttonpaddingright" style="width:25px;float:left;margin-right:10px;border-right-color:#1AA0E1;" title="<?php echo TCK_Text::_('CK_RIGHT'); ?>" />
				<input class="inputbox ckhastip" type="text" value="" name="buttonbuttonpaddingbottom" data-id="buttonbuttonpaddingbottom" style="width:25px;float:left;margin-right:10px;border-bottom-color:#1AA0E1;" title="<?php echo TCK_Text::_('CK_BOTTOM'); ?>" />
				<input class="inputbox ckhastip" type="text" value="" name="buttonbuttonpaddingleft" data-id="buttonbuttonpaddingleft" style="width:25px;float:left;margin-right:10px;border-left-color:#1AA0E1;" title="<?php echo TCK_Text::_('CK_LEFT'); ?>" />
			</span>
		</div>
		<h3><?php echo TCK_Text::_('CK_BUTTON') ?><span class="ckinfosdesc"><?php echo TCK_Text::_('CK_HOVERSTATE'); ?></span></h3>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_BACKGROUNDCOLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="buttonbuttonhoverbackgroundcolorstart" data-id="buttonbuttonhoverbackgroundcolorstart" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_COLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="buttonbuttonhovertitlecolor" data-id="buttonbuttonhovertitlecolor" />
			</span>
		</div>
		<h3><?php echo TCK_Text::_('CK_INPUTFIELD') ?><span class="ckinfosdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></span></h3>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_BACKGROUNDCOLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="inputfieldbuttonbackgroundcolorstart" data-id="inputfieldbuttonbackgroundcolorstart" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_COLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="inputfieldbuttontitlecolor" data-id="inputfieldbuttontitlecolor" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_PADDING', 'padding_right.png') ?>
			<span class="ckoption-field">
				<input class="inputbox ckhastip" type="text" value="" name="inputfieldbuttonpaddingtop" data-id="inputfieldbuttonpaddingtop" style="width:25px;float:left;margin-right:10px;border-top-color:#1AA0E1;" title="<?php echo TCK_Text::_('CK_TOP'); ?>" />
				<input class="inputbox ckhastip" type="text" value="" name="inputfieldbuttonpaddingright" data-id="inputfieldbuttonpaddingright" style="width:25px;float:left;margin-right:10px;border-right-color:#1AA0E1;" title="<?php echo TCK_Text::_('CK_RIGHT'); ?>" />
				<input class="inputbox ckhastip" type="text" value="" name="inputfieldbuttonpaddingbottom" data-id="inputfieldbuttonpaddingbottom" style="width:25px;float:left;margin-right:10px;border-bottom-color:#1AA0E1;" title="<?php echo TCK_Text::_('CK_BOTTOM'); ?>" />
				<input class="inputbox ckhastip" type="text" value="" name="inputfieldbuttonpaddingleft" data-id="inputfieldbuttonpaddingleft" style="width:25px;float:left;margin-right:10px;border-left-color:#1AA0E1;" title="<?php echo TCK_Text::_('CK_LEFT'); ?>" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_BORDERS', 'shape_borders.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker ckhastip" type="text" value="" name="inputfieldbuttonborderscolor" data-id="inputfieldbuttonborderscolor" style="width:75px;float:left;margin-right:10px;" title="<?php echo TCK_Text::_('CK_COLOR'); ?>" />
				<input class="inputbox ckhastip" type="text" value="" name="inputfieldbuttonborderssize" data-id="inputfieldbuttonborderssize" style="width:25px;float:left;margin-right:10px;" title="<?php echo TCK_Text::_('CK_SIZE'); ?>" />
				<select class="inputbox" style="width:90px;float:left;margin-right:10px;" name="inputfieldbuttonbordersstyle" id="inputfieldbuttonbordersstyle" >
					<option value="solid">solid</option>
					<option value="dotted">dotted</option>
					<option value="dashed">dashed</option>
				</select>
			</span>
		</div>
		<h3><?php echo TCK_Text::_('CK_INPUTFIELD') ?><span class="ckinfosdesc"><?php echo TCK_Text::_('CK_FOCUSSTATE'); ?></span></h3>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_BACKGROUNDCOLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="inputfieldbuttonactivebackgroundcolorstart" data-id="inputfieldbuttonactivebackgroundcolorstart" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_COLOR', 'color.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker" type="text" value="" name="inputfieldbuttonactivetitlecolor" data-id="inputfieldbuttonactivetitlecolor" />
			</span>
		</div>
		<div class="ckoption">
			<?php $this->interface->createLabel('CK_BORDERS', 'shape_borders.png') ?>
			<span class="ckoption-field">
				<input class="inputbox colorPicker ckhastip" type="text" value="" name="inputfieldbuttonactiveborderscolor" data-id="inputfieldbuttonactiveborderscolor" style="width:75px;float:left;margin-right:10px;" title="<?php echo TCK_Text::_('CK_COLOR'); ?>" />
				<input class="inputbox ckhastip" type="text" value="" name="inputfieldbuttonactiveborderssize" data-id="inputfieldbuttonactiveborderssize" style="width:25px;float:left;margin-right:10px;" title="<?php echo TCK_Text::_('CK_SIZE'); ?>" />
				<select class="inputbox" style="width:90px;float:left;margin-right:10px;" name="inputfieldbuttonactivebordersstyle" id="inputfieldbuttonactivebordersstyle" >
					<option value="solid">solid</option>
					<option value="dotted">dotted</option>
					<option value="dashed">dashed</option>
				</select>
			</span>
		</div>
</fieldset>

	</div>
	<div id="ckparamsfake" style="display: none;"></div>
</div>