<?php
/**
 * @name		Template Creator CK
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('TCK_LOADED') or die('Restricted access');
?>
<div id="ckinfospopup" style="display: none;padding:10px;">
	<table>
		<tr>
			<td style="vertical-align:top;">
				<div class="ckpopupinfos">
					<div class="cktitle"><?php echo TCK_Text::_('CK_GLOBALINFOS_INFOS'); ?></div>
					<div class="ckinterfacedesc"><?php echo TCK_Text::_('CK_GLOBALINFOS_DESC'); ?></div>
				</div>
			</td>
			<td style="vertical-align:top;">
				<div class="ckpopupcontent clr">
				<?php if (TEMPLATECREATORCK_PLATFORM == 'joomla') { ?>
					<div>
						<label for="joomlaversion"><?php echo TCK_Text::_('CK_JOOMLAVERSION'); ?> :</label>
						<?php
						$joomlaversionKeysValues = array(
							JHTML::_('select.option', 'j3', TCK_Text::_('CK_JOOMLA3')),
							JHTML::_('select.option', 'j25', TCK_Text::_('CK_JOOMLA25'))
	//							JHTML::_('select.option', 'j17', TCK_Text::_('CK_JOOMLA17')),
	//							JHTML::_('select.option', 'j15', TCK_Text::_('CK_JOOMLA15'))
						);
						echo JHTML::_('select.genericlist', $joomlaversionKeysValues, 'joomlaversion', 'class="inputbox" style="width:200px;" onchange="toggleBootstrap();"', 'value', 'text', $this->item->joomlaversion, 'joomlaversion');
						?>
					</div>
					<?php } ?>
					<div>
						<label for="name">
							<?php echo TCK_Text::_('CK_NAME'); ?> :
						</label>
						<input class="inputbox" type="text" name="name" id="name" style="width:200px;" value="<?php echo $this->item->name; ?>" onchange="this.value=ckValidateName(this.value);" />
					</div>
					<div>
						<label for="creationdate">
							<?php echo TCK_Text::_('CK_CREATIONDATE'); ?> :
						</label>

						<input class="inputbox" type="text" name="creationdate" id="creationdate" style="width:200px;" value="<?php echo $this->item->creationdate; ?>" />
					</div>
					<div>
						<label for="author">
							<?php echo TCK_Text::_('CK_AUTHOR'); ?> :
						</label>

						<input class="inputbox" type="text" name="author" id="author" style="width:200px;" value="<?php echo $this->item->author; ?>" />
					</div>
					<div>
						<label for="authoremail">
							<?php echo TCK_Text::_('CK_AUTHOREMAIL'); ?> :
						</label>

						<input class="inputbox" type="text" name="authoremail" id="authoremail" style="width:200px;" value="<?php echo $this->item->authoremail; ?>" />
					</div>
					<div>
						<label for="authorurl">
							<?php echo TCK_Text::_('CK_AUTHORURL'); ?> :
						</label>

						<input class="inputbox" type="text" name="authorurl" id="authorurl" style="width:200px;" value="<?php echo $this->item->authorurl; ?>" />
					</div>
					<div>
						<label for="copyright">
							<?php echo TCK_Text::_('CK_COPYRIGHT'); ?> :
						</label>

						<input class="inputbox" type="text" name="copyright" id="copyright" style="width:200px;" value="<?php echo $this->item->copyright; ?>" />
					</div>
					<div>
						<label for="license">
							<?php echo TCK_Text::_('CK_LICENSE'); ?> :
						</label>

						<input class="inputbox" type="text" name="license" id="license" style="width:200px;" value="<?php echo $this->item->license; ?>" />
					</div>
					<div>
						<label for="version">
							<?php echo TCK_Text::_('CK_VERSION'); ?> :
						</label>

						<input class="inputbox" type="text" name="version" id="version" style="width:200px;" value="<?php echo $this->item->version; ?>" />
					</div>
					<div>
						<label for="description" style="vertical-align:top;">
							<?php echo TCK_Text::_('CK_DESCRIPTION'); ?> :
						</label>

						<textarea class="inputbox" name="description" id="description" style="width:200px;height: 150px;" ><?php echo $this->item->description; ?></textarea>
					</div>
				</div>
			</td>
		</tr>
	</table>
</div>