<?php
/**
 * @name		Template Creator CK
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('TCK_LOADED') or die('Restricted access');

$input = new TCK_Input();
?>
<?php if ($this->isTemplateInstalled) {
	$copycss = 'display:block;';
	$installcss = 'display:none;';
} else {
	$copycss = 'display:none;';
	$installcss = 'display:block;';
}
?>
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet"> 
<link rel="stylesheet" href="<?php echo TEMPLATECREATORCK_MEDIA_URI ?>/assets/font-awesome.min.css" type="text/css" />
<div id="ckheader">
	<div class="ckheaderlogo"><img width="161" height="36" src="<?php echo TEMPLATECREATORCK_MEDIA_URI ?>/images/logo_templateck.png" /></div>
	<div class="ckheadermenu">
		<div class="ckhassubmenu">
			<a href="javascript:void(0);" class="ckheadermenuitem" onclick="ckToggleSubmenu(this);">
				<span class="fa fa-cog"></span>
				<span class="ckheadermenuitemtext"><?php echo TCK_Text::_('CK_INFOS_PARAMS') ?></span>
			</a>
			<div class="cksubmenu">
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckShowWizard();"><?php echo TCK_Text::_('CK_WIZARD'); ?> ...</a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckEditGlobalinfos();"><?php echo TCK_Text::_('CK_INFOS_BUTTON'); ?></a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckShowParamsPopup('tab_blocstyles');"><?php echo TCK_Text::_('CK_PAGE'); ?></a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckShowParamsPopup('tab_titlestyles');"><?php echo TCK_Text::_('CK_TITLES'); ?></a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckShowParamsPopup('tab_buttonstyles');"><?php echo TCK_Text::_('CK_BUTTONS_AND_FORMS'); ?></a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckShowParamsPopup('tab_contentstyles');"><?php echo TCK_Text::_('CK_CONTENT'); ?></a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckShowParamsPopup('tab_tablestyles');"><?php echo TCK_Text::_('CK_TABLE'); ?></a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckShowParamsPopup('tab_systemimagesstyles');"><?php echo TCK_Text::_('CK_SYSTEMIMAGES'); ?></a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckShowParamsPopup('tab_customimages');"><?php echo TCK_Text::_('CK_CUSTOMIMAGES'); ?></a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckLoadTab_customcode();"><?php echo TCK_Text::_('CK_CUSTOMCODE'); ?></a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckLoadTab_customcss();"><?php echo TCK_Text::_('CK_CUSTOMCSS'); ?></a>
			</div>
		</div>
		<a href="javascript:void(0);" class="ckheadermenuitem" onclick="ckShowResponsiveEdition();">
			<span class="fa fa-mobile"></span>
			<span class="ckheadermenuitemtext"><?php echo TCK_Text::_('CK_RESPONSIVE_PARAMS'); ?></span>
		</a>
		<div class="ckhassubmenu">
			<a href="javascript:void(0);" class="ckheadermenuitem" onclick="ckToggleSubmenu(this);">
				<span class="fa fa-hand-pointer-o"></span>
				<span class="ckheadermenuitemtext"><?php echo TCK_Text::_('CK_ACTIONS'); ?></span>
			</a>
			<div class="cksubmenu">
				<a href="javascript:void(0);" id="ckmenucopytemplate" onclick="if (!$ck('#ckmodelewrapper').length) ckCreateTemplate('copy');" style="<?php echo $copycss; ?>"><?php echo TCK_Text::_('CK_DIRECTCOPY_BUTTON'); ?></a>
				<a href="javascript:void(0);" id="ckmenuinstalltemplate" onclick="if (!$ck('#ckmodelewrapper').length) ckCreateTemplate('install');" style="<?php echo $installcss; ?>"><?php echo TCK_Text::_('CK_INSTALL_BUTTON'); ?></a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckCreateTemplate('package');"><?php echo TCK_Text::_('CK_JOOMLA_BUTTON'); ?></a>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckShowRestorePopup();"><?php echo TCK_Text::_('CK_RESTORE'); ?></a>
				<hr />
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckPrintPositions();"><?php echo TCK_Text::_('CK_PRINT_POSITIONS2'); ?></a>
				<?php /*<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length)
					showThemes($ck(this).parent())"><?php echo TCK_Text::_('CK_LOAD_THEME'); ?></a>*/ ?>
				<?php /*<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length)
					checkModules()"><?php echo TCK_Text::_('CK_CHECK_POSITIONS'); ?></a>*/ ?>
				<a href="javascript:void(0);" onclick="if (!$ck('#ckmodelewrapper').length) ckShowReplaceColorsPopup()"><?php echo TCK_Text::_('CK_REPLACE_COLORS'); ?></a>
				<a href="javascript:void(0);" onclick="ckShowCustomStyleInterface();"><?php echo TCK_Text::_('CK_CUSTOM_STYLES_CREATOR'); ?></a>
				<a href="javascript:void(0);" onclick="ckManageHtmlCss();"><?php echo TCK_Text::_('CK_MANAGE_ID_CLASS'); ?></a>
			</div>
		</div>
		<a href="javascript:void(0);" class="ckheadermenuitem" onclick="ckShowWidgetsPopup();">
			<span class="fa fa-mobile"></span>
			<span class="ckheadermenuitemtext"><?php echo TCK_Text::_('CK_WIDGETS'); ?></span>
		</a>
		<div class="ckhassubmenu">
			<a href="javascript:void(0);" class="ckheadermenuitem" onclick="ckToggleSubmenu(this);">
				<span class="fa fa-hand-pointer-o"></span>
				<span class="ckheadermenuitemtext"><?php echo TCK_Text::_('CK_LAYOUTS'); ?></span>
			</a>
			<div class="cksubmenu">
				<a href="javascript:void(0);" onclick="if (!$ck('#ck_modelewrapper').length)
							ckShowLayoutPopup('error404');"><?php echo TCK_Text::_('CK_ERROR_404'); ?></a>
			</div>
		</div>
		<?php if ($input->get('layout', '', 'string') === 'modal') { ?>
		<a href="javascript:void(0)" class="ckheadermenuitem ckcancel" onclick="window.parent.CKBox.close()">
			<span class="fa fa-times"></span>
			<span class="ckheadermenuitemtext"><?php echo TCK_Text::_('CK_CLOSE') ?></span>
		</a>
		<?php } else { ?>
		<a href="<?php echo admin_url() ?>admin.php?page=templatecreatorck_general" class="ckheadermenuitem ckcancel" >
			<span class="fa fa-times"></span>
			<span class="ckheadermenuitemtext"><?php echo TCK_Text::_('CK_EXIT') ?></span>
		</a>
		<a href="javascript:void(0);" class="ckheadermenuitem cksave" onclick="ckSubmitButtonSave()">
			<span class="fa fa-check"></span>
			<span class="ckheadermenuitemtext"><?php echo TCK_Text::_('CK_SAVE') ?></span>
		</a>
		<a href="javascript:void(0);" class="ckheadermenuitem ckheadermenuitemright ckredo" onclick="if (!$ck('#ckmodelewrapper').length) ckRedo();">
			<span class="fa fa-mail-forward"></span>
			<span class="ckheadermenuitemtext"><?php echo TCK_Text::_('CK_REDO'); ?></span>
		</a>
		<a href="javascript:void(0);" class="ckheadermenuitem ckheadermenuitemright ckundo" onclick="if (!$ck('#ckmodelewrapper').length) ckUndo();">
			<span class="fa fa-mail-reply"></span>
			<span class="ckheadermenuitemtext"><?php echo TCK_Text::_('CK_UNDO'); ?></span>
		</a>
		<a href="javascript:void(0);" class="ckheadermenuitem ckexpert" onclick="if (!$ck('#ckmodelewrapper').length) ckToggleExpertMode(this);">
			<span class="fa fa-dot-circle-o"></span>
			<span class="ckheadermenuitemtext"><?php echo TCK_Text::_('CK_TOGGLE_EXPERT'); ?></span>
		</a>
		<?php } ?>
		<?php if ($input->get('themes', '', 'int') == 1) { ?>
			<div class="ck_button big">
				<a href="javascript:void(0);" onclick="if (!$ck('#ck_modelewrapper').length)
							ckSaveTheme();"><?php echo TCK_Text::_('CK_SAVE_THEME'); ?></a>
				<div id="themefile"></div>
			</div>
		<?php } ?>
	</div>
</div>
