<?php
/**
 * @name		Template Creator CK 3
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('ABSPATH') or die('Restricted access');

/*
'layout_error404_html' => 
    object(stdClass)[431]
      public 'class' => string 'ckbloc' (length=6)
      public 'ckid' => string 'layout_error404_html' (length=20)
      public 'error404use' => string '1' (length=1)
      public 'error404codeincontent' => string '1' (length=1)
	  */

$error404_options = $blocsbyname['layout_error404_html'];
$error404error404use = isset($error404_options->error404use) ? $error404_options->error404use : '0';

// check if we need to create the 404 page
if ($error404error404use == '1') {
	$layouterror404custommessage = $input->get('layouterror404custommessage', '', 'html');
	$layouterror404custommessage = str_replace('&lt;', '<', $layouterror404custommessage);
	$layouterror404custommessage = str_replace('&gt;', '>', $layouterror404custommessage);

	// Make replacements for the strings
	$layouterror404custommessage = str_replace('{ERROR_REQUEST}', '<?php _e( \'Oops! That page can&rsquo;t be found.\', \'' . $templatename . '\' ); ?>', $layouterror404custommessage);
	$layouterror404custommessage = str_replace('{SEARCH_FIELD}', '<?php _e( \'It looks like nothing was found at this location. Maybe try a search?\', \'' . $templatename . '\' ); ?><br /><?php get_search_form(); ?>', $layouterror404custommessage);
	$layouterror404custommessage = str_replace('{GO_HOME}', '<a class="button" href="<?php echo site_url() ?>"><span class="fa fa-home"></span> <?php _e( \'Go home\', \'' . $templatename . '\' ); ?></a>', $layouterror404custommessage);
	$layouterror404custommessage = str_replace('{CONTACT_ADMINISTRATOR}', '<?php _e( \'If difficulties persist, please contact the System Administrator of this site and report the error 404.\', \'' . $templatename . '\' ); ?>', $layouterror404custommessage);
	$layouterror404custommessage = str_replace('{ERROR_CODE}', '404', $layouterror404custommessage);
	$layouterror404custommessage = str_replace('{ERROR_MESSAGE}', '<?php _e( \'Page not found\', \'' . $templatename . '\' ); ?>', $layouterror404custommessage);
	

	$error404codeincontent = isset($error404_options->error404codeincontent) ? $error404_options->error404codeincontent : '1';
	if ($error404codeincontent == '1') {
		$indexphp = @file_get_contents($path . '/index.php');
		$error404_php = str_replace('<?php require_once("content.php"); ?>', $layouterror404custommessage, $indexphp);
	} else {
		$error404_php = '<?php
/**
 * Created by Template Creator CK
 * http://www.template-creator.com
 */

 // load the header.php file
get_header();
?>
' . $layouterror404custommessage . '

<?php
get_footer();';
	}

	@file_put_contents($path . '/404.php', $error404_php);
} else {
	// TCK_File::delete($path . '/404.php');
}
