<?php

/**
 * @name		Template Creator CK 3
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access
defined('ABSPATH') or die;

/**
 * View to edit
 */
class TemplateckViewTemplates extends TemplateckView {

	protected $view = 'templates';

	/**
	 * Display the view
	 */
	public function display($tpl = null) {

		parent::display($tpl);
	}

	private function makeBackup($id) {
		// $wpdb->delete( $table, $where, $where_format = null );
		require_once( TEMPLATECREATORCK_PATH . '/models/template.php' );
		$className = 'TemplateckModelTemplate';
		$model = new $className;
		$model->makeBackup($id);
	}
	/**
	 * private function to load the fonts in the page
	 */
	function _callfonts() {
		$fontstyles = '';
		$fontsheets = '';

		global $wpdb;
		$query = 'SELECT * FROM '. $wpdb->prefix . 'templateck_fonts';
		$query.=' ORDER BY id ASC';
		$rows = $wpdb->get_results($query, OBJECT);

		if (!$rows)
			return false;

		foreach ($rows as $row) {
			if (stristr($row->styles, '@import')) 
			{
				$fontsheets .= str_replace(");", "' rel='stylesheet' type='text/css'>", str_replace("@import url(", "<link href='", $row->styles));
			} else {
				$fontstyles .= str_replace("url('", "url('" . TEMPLATECREATORCK_MEDIA_URL . "/fonts/" . $row->name . "/", $row->styles);
			}
		}
		if ($fontstyles)
			echo "<style type=\"text/css\">" . $fontstyles . "</style>";
		if ($fontsheets)
			echo $fontsheets;
	}
	
	/**
	 * private function to check if the template templatecreatorck is installed
	 */
	function _checkIfTemplateInstalled($name) {
		if (! $name) return false;
		if (! TCK_Folder::exists( get_theme_root() . '/' . $name )) {
			return false;
		} else {
			return true;
		}

		return false;
	}

}