<?php

/**
 * @name		Template Creator CK
 * @copyright	Copyright (C) since 2011. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
defined('TCK_LOADED') or die;

Class TCK_Text {
	public static function _($text, $instance = 'template-creator-ck') {
		$lang = TCK_LoadLanguage::getInstance($instance);

		if ($lang->exists($text)) {
			return $lang->get($text);
		}
		return __($text, 'template-creator-ck');
	}
}
