<?php

/**
 * @name		Template Creator CK
 * @copyright	Copyright (C) since 2011. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */

// No direct access to this file
defined('TCK_LOADED') or die('Restricted access');
global $ckcreatesteps;
global $wpdb;
$ckcreatesteps = array();

//jimport('joomla.filesystem.file');
//jimport('joomla.filesystem.folder');
//require_once(JPATH_SITE . '/administrator/components/com_templateck/helpers/ckwidgets.php');

$bodycode = $this->input->get('bodycode', '', 'raw');
$headcode = $this->input->get('headcode', '', 'raw');
// $bodycode = $this->input->get('bodycode', null, null, JREQUEST_ALLOWRAW);
// $headcode = $this->input->get('headcode', null, null);
$joomlaversion = $this->input->get('joomlaversion');
$templatename = $this->input->get('templatename');
$creationdate = $this->input->get('creationdate');
$author = $this->input->get('author');
$authorEmail = $this->input->get('authorEmail');
$authorUrl = $this->input->get('authorUrl');
$copyright = $this->input->get('copyright');
$license = $this->input->get('license');
$version = $this->input->get('version');
$description = $this->input->get('description');
$makearchive = ($this->input->get('makearchive') != 'preview') ? true : false;
$blocs = $this->input->get('blocs', null, null);
$blocs = stripslashes(str_replace("|di|", "#", $blocs));
$blocs = json_decode($blocs);
$customstyles = stripslashes( $input->get('customstyles', '', 'string'));
$customstyles = json_decode($customstyles);
$isFluid = (isset($blocs[0]->blocwrapperfluid) && $blocs[0]->blocwrapperfluid == 'fluid') ? true : false;
$loadBootstrap = (isset($blocs[0]->blocloadboostrap) && $blocs[0]->blocloadboostrap == '1') ? true : false;
$loadFontawesome = (isset($blocs[0]->blocloadfontawesome)) ? $blocs[0]->blocloadfontawesome : false;
$googleanalytics = (isset($blocs[0]->blocloadgoogleanalytics)) ? $blocs[0]->blocloadgoogleanalytics : false;
$customcss = '';
$customheader = '';
$customcodeendbody = '';
$customjs = '';
$column1width = $this->input->get('column1width', '', 'float');
$column2ratio = (100 - $column1width) / 100;
$column2widthnoleft = $this->input->get('column2width', '', 'float');
$column2width = $column2widthnoleft / $column2ratio;
$templateid = $this->input->get('id', 0, 'int');
$loadBootstrap = (isset($blocs[0]->blocloadboostrap) && $blocs[0]->blocloadboostrap == '1') ? true : false;
$responsivevalues = $this->input->get('responsivevalues', '524,758,950,1024', 'string');
$responsivevalues = explode( ',', $responsivevalues);
$responsiverange = (isset($blocs[0]->responsiverange)) ? $blocs[0]->responsiverange : 'between';
$responsiveminivalue = (isset($blocs[0]->responsiveminivalue)) ? $blocs[0]->responsiveminivalue : '292';
$htmlcode_responsive = $this->input->get('htmlcode_responsive', '', 'html');
$customslayoutcss = $this->input->get('customslayoutcss', '', 'html');
$positions = $this->input->get('positions', '', 'array');
$action = $this->input->get('action', '', 'cmd');
$googlefonts = $this->input->get('googlefonts', '', 'string');

if ($loadFontawesome === '1') {
	$facktoload = true;
} else if ($loadFontawesome === '0') {
	$facktoload = false;
} else {
	$facktoload = $this->input->get('facktoload', 0, 'string');
}

$widgets = $this->input->get('widgets', '', 'raw');
$widgetsList = json_decode(stripslashes($widgets));

$messages = array();

$googlefonts = explode(',', $googlefonts);

/*--------------------------------
 * --	HTML STEP				--
 * -----------------------------*/


if ($action == 'install' && TEMPLATECREATORCK_PLATFORM == 'joomla') {
	$path = TEMPLATECREATORCK_PROJECTS_PATH . '/' . $templatename;
} else {
	$path = TEMPLATECREATORCK_TEMPLATES_PATH . '/' . $templatename;
}
echo '<div class="cktitle">' . TCK_Text::_('CK_TEMPLATE_CREATION') . '</div>';

// create the template folder if not exists
if (!TCK_Folder::exists($path)) {
	if (!TCK_Folder::create($path)) {
		$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FOLDER_PROJECTS') . '</p>';
	} else {
		$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FOLDER_PROJECTS') . '</p>';
	}

	$messages[] = $msg;
}
// automatically backup the gabarit
$query = ' SELECT * FROM '. $wpdb->prefix . 'templateck_templates' .
		' WHERE id = ' . (int) $templateid;
$gabaritcode = $wpdb->get_row($query);
if ($gabaritcode) {
	$exportfiledest = $path . '/' . $templatename . '.tck3';
	$gabaritcode->htmlcode = str_replace(TEMPLATECREATORCK_URI_ROOT, "|URIBASE|", $gabaritcode->htmlcode);
	$exportfiletext = json_encode($gabaritcode);
	if (!TCK_File::write($exportfiledest, $exportfiletext)) {
		$msg = '<p class="error">' . TCK_Text::_('CK_ERROR_COPY_GABARIT') . '</p>';
	} else {
		$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_COPY_GABARIT') . '</p>';
	}
	$messages[] = $msg;
}

// create css folder
$pathcss = $path . '/css';
if (! TCK_Folder::exists($pathcss)) {
	if (! TCK_Folder::create($pathcss)) {
		$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FOLDER') . ' /css</p>';
	} else {
		$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FOLDER') . ' /css</p>';
	}
	$messages[] = $msg;
}

// copy the fonts folder for fontawesome
if ($facktoload && $facktoload !== 'false') {
	$pathfontsfolder = $path . '/fonts';

	// create fonts folder
	if (!TCK_Folder::exists($pathfontsfolder)) {
		if (!TCK_Folder::create($pathfontsfolder)) {
			$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FOLDER') . ' /fonts</p>';
		} else {
			$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FOLDER') . ' /fonts</p>';
		}
		$messages[] = $msg;
	}

	$fontfiles = TCK_Folder::files(TEMPLATECREATORCK_PATH . '/fonts');
	foreach ($fontfiles as $fontfile) {
		if (!TCK_File::copy(TEMPLATECREATORCK_PATH . '/fonts/' . $fontfile, $pathfontsfolder . '/' . $fontfile)) {
			$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FONTSAWESOMEFOLDER_PROJECTS') . '</p>';
		} else {
			$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FONTSAWESOMEFOLDER_PROJECTS') . '</p>';
		}
		$messages[] = $msg;
	}

	// copy the fontawesome css file
	$defaultfontawesomecsssrc = TEMPLATECREATORCK_PATH . '/assets/font-awesome.min.css';
	$defaultfontawesomecssdest = $path . '/css/font-awesome.min.css';

	if (!TCK_File::copy($defaultfontawesomecsssrc, $defaultfontawesomecssdest)) {
		$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /assets/font-awesome.min.css</p>';
	} else {
		$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /assets/font-awesome.min.css</p>';
	}
	$messages[] = $msg;
}

// create images folder
$pathimg = $path . '/images';
if (!TCK_Folder::exists($pathimg)) {
	if (!TCK_Folder::create($pathimg)) {
		$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FOLDER') . ' /images</p>';
	} else {
		$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FOLDER') . ' /images</p>';
	}
	$messages[] = $msg;
} else {
	// clean images folder
	$images = TCK_Folder::files($pathimg);
	foreach ($images as $image) {
		$ok = TCK_File::delete($pathimg . '/' . $image);
	}
}

// create index.html file (root)
$indexhtmlsrc = TEMPLATECREATORCK_PATH . '/index.html';
$indexhtmldest = $path . '/index.html';
if (!TCK_File::copy($indexhtmlsrc, $indexhtmldest)) {
	$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /index.html</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /index.html</p>';
}
$messages[] = $msg;

// create index.html file (css)
$indexhtmldest = $path . '/css/index.html';
if (!TCK_File::copy($indexhtmlsrc, $indexhtmldest)) {
	$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /css/index.html</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /css/index.html</p>';
}
$messages[] = $msg;

// create index.html file (images)
$indexhtmldest = $path . '/images/index.html';
if (!TCK_File::copy($indexhtmlsrc, $indexhtmldest)) {
	$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /images/index.html</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /images/index.html</p>';
}
$messages[] = $msg;

//$pieIds = Array();
$ie7inlineblock =  Array();
$external_fonts = Array();
foreach ($blocs as $bloc) {

	$systemimages = array(
//		"emailsystemimageurl",
//		"printsystemimageurl",
//		"ratingblanksystemimageurl",
//		"ratingfilledsystemimageurl",
//		"editsystemimageurl",
//		"arrowsystemimageurl",
		"faviconsystemimageurl",
//		"template_thumbnailsystemimageurl",
		"template_previewsystemimageurl");
	foreach ($systemimages as $systemimage) {
		if (isset($bloc->$systemimage) AND $bloc->$systemimage) {
			if ($systemimage == 'emailsystemimageurl')
				$destimgname = 'images/system/emailButton.png';
			if ($systemimage == 'printsystemimageurl')
				$destimgname = 'images/system/printButton.png';
			if ($systemimage == 'ratingblanksystemimageurl')
				$destimgname = 'images/system/rating_star_blank.png';
			if ($systemimage == 'ratingfilledsystemimageurl')
				$destimgname = 'images/system/rating_star.png';
			if ($systemimage == 'editsystemimageurl')
				$destimgname = 'images/system/edit.png';
			if ($systemimage == 'arrowsystemimageurl')
				$destimgname = 'images/system/arrow.png';
			if ($systemimage == 'faviconsystemimageurl')
				$destimgname = 'favicon.ico';
			if ($systemimage == 'template_thumbnailsystemimageurl')
				$destimgname = 'template_thumbnail.png';
			if ($systemimage == 'template_previewsystemimageurl')
				$destimgname = 'template_preview.png';
			$imgurl = $bloc->$systemimage;

			$imgname = explode("/", $bloc->$systemimage);
			$imgname = end($imgname);

			$imagesdest = $path . '/' . $destimgname;
			$imagessrc = TEMPLATECREATORCK_SITE_ROOT . '/' . $imgurl;
			// compatibility for images before v3.3.0
//			if (!file_exists($imagessrc) && file_exists(TEMPLATECREATORCK_SITE_ROOT . '/administrator/' . $imgurl)) {
//				$imagessrc = TEMPLATECREATORCK_SITE_ROOT . '/administrator/' . $imgurl;
//			}

			if (!TCK_File::copy($imagessrc, $imagesdest)) {
				$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_IMAGEFILES') . ' ' . $imgname . '</p>';
			} else {
				$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_IMAGEFILES') . ' ' . $imgname . '</p>';
			}
			$messages[] = $msg;
		}
	}
	
	// copy the custom images
	for ($i=1 ; $i<= 9; $i++) {
		$customimage = 'customimage' . $i;
		if (isset($bloc->$customimage) AND $bloc->$customimage) {
			
			$imgurl = $bloc->$customimage;

			$imgname = explode("/", $bloc->$customimage);
			$imgname = end($imgname);

			$imagesdest = $path . '/images/' . $imgname;
			$imagessrc = TEMPLATECREATORCK_SITE_ROOT . '/' . $imgurl;

			if (!TCK_File::copy($imagessrc, $imagesdest)) {
				$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_IMAGEFILES') . ' ' . $imgname . '</p>';
			} else {
				$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_IMAGEFILES') . ' ' . $imgname . '</p>';
			}
			$messages[] = $msg;
		}
	}

//	$bloc->ckid = $bloc->ckid . ' > div.inner';

	// IE7 compatibility for horizontal menu
	
	if (stristr($bloc->class, 'menu') || stristr($bloc->class, 'horiznav')) {
		$ie7inlineblock[] = '#' . $bloc->ckid . ' ul.menu > li';
	}
	
	// test for the google fonts
	
	// $prefix = 'bloc';
	// $fontfamily = $prefix . 'fontfamily';
	
	// if ($action != 'preview') $this->_injectFonts($cssparams, $fontfamily);

	$native_fonts = array('default'
		,'Times New Roman, Serif'
		,'Helvetica, sans-serif'
		,'Georgia, serif'
		,'Courier New, serif'
		,'Arial, sans-serif'
		,'Verdana, sans-serif'
		,'Comic Sans MS, cursive'
		,'Tahoma, sans-serif'
		,'Segoe UI, sans-serif'
		);

	if ($bloc->ckid == 'body' || stristr($bloc->class, 'body')) {
		$prefixes = array(
			"pagenavbutton",
			"pagenavbuttonhover",
			"readmorebutton",
			"readmorebuttonhover",
			"buttonbutton",
			"buttonbuttonhover",
			"inputfieldbutton",
			"inputfieldbuttonactive",
			"level0bg",
			"level0item",
			"level0itemhover",
			"level0itemactive",
			"level1bg",
			"level1item",
			"level1itemhover",
			"level1itemactive",
			"level2bg",
			"h1title",
			"h2title",
			"h3title",
			"h4title",
			"h5title",
			"h6title",
			"bloc",
			"module",
			"moduletitle",
			"body");
	} else {
		$prefixes = array(
			"level0bg",
			"level0item",
			"level0itemhover",
			"level0itemactive",
			"level1bg",
			"level1item",
			"level1itemhover",
			"level1itemactive",
			"level2bg",
			"bloc",
			"module",
			"moduletitle",
			"body");
	}

	foreach ($prefixes as $prefix) {
		$fontfamily = $prefix . 'fontfamily';
		if (isset($bloc->$fontfamily) AND ! in_array($bloc->$fontfamily, $native_fonts)) {
			if (! in_array($bloc->$fontfamily, $external_fonts)) {
				array_push($external_fonts, $bloc->$fontfamily);
			}
		}
	}
} // fin boucle des blocs

$templatepath = '<?php echo get_template_directory_uri() ?>';

// loop through the enabled plugins and load the needed CSS / JS files
$widgets = array();
require_once TEMPLATECREATORCK_PATH . '/helpers/ckwidgets.php';
foreach ($widgetsList as &$widget) {
//	$enabled = $widget->enabled ? '1' : '0';
//	$data = $widget->data;

	// if the widget is enabled, call the rendering features
	if ($widget->enabled) {
		$name = $widget->name;
		$widgets[$name] = new stdClass();
		include_once(TEMPLATECREATORCK_PATH .'/widgets/' . $name . '/' . $name . '.php');
		$widgetClassName = 'TCK_Widget' . ucfirst($name);
		$widgetClass = new $widgetClassName();
		$widgetsRenderInit = array();
		$widgetsRenderInit['php'] = '';
		$widgetsRenderInit['script'] = '';
		$widgetsRenderInit['scriptDeclaration'] = '';
		$widgetsRenderInit['stylesheet'] = '';
		$widgetsRenderInit['styleDeclaration'] = '';
		$widgetRender = $widgetClass->renderFrontendWidget($templatepath, $templatename, $widget->data);
		$widgets[$name]->render = $widgetRender ? $widgetRender : $widgetsRenderInit;
//		$widgets[$name]->name = $name;
	}
}

$gfonts_url = "\t";
$fontsquirrel_url = "\t";
// check for specific font to add
if (count($external_fonts) > 0) {
	$gfonts_url = "";
	$fontsquirrel_urls = "";
	// dans DB cercher fontfamilies (Lato), puis recuperer styles (@import url(http://fonts.googleapis.com/css?family=Lato:300,400,700);), si @import alors c'est gfont et doit utiliser <link />
	// sinon c'est Fsquirrel, utiliser methode normale avec ecriture dans fonts.css
	// mettre creation fonts.css + dossier fonts ici, comme ca si pas de font externe on ne le cree pas !
	// supprimer les lignes dans le helper stylescss.php
	
	// loads the fonts list
	$query = 'SELECT * FROM '. $wpdb->prefix . 'templateck_fonts';
	$query.=' ORDER BY id ASC';
	$db_fonts = $wpdb->get_results($query, OBJECT);
	
	$font_names = array();
	// create a list of available fonts
	foreach ($db_fonts as $db_font) {
		$db_font_exploded = explode(',', $db_font->fontfamilies);
		foreach ($db_font_exploded as $font_name) {
			$font_names[$font_name] = $db_font;
			$font_names[$font_name]->copied = false;
		}
	}

	// loop for the needed fonts to add
	foreach ($external_fonts as $external_font) {
		$external_font = trim($external_font, "'");
		$external_font = explode(',', $external_font);
		$external_font = trim($external_font[0]);
		
		if (isset($font_names[$external_font]) && $font_names[$external_font]->copied == false) {
			// check if it is a google font
			preg_match('/@import url\((.*?)\);/', $font_names[$external_font]->styles, $matches);

			if (isset($matches[1])) {
				// if this is a googlefont
				$gfont_url = str_replace('http:', '', $matches[1]);
				$subset = isset($font_names[$external_font]->subset) && $font_names[$external_font]->subset ? '&subset=' . $font_names[$external_font]->subset : '';
				$gfonts_url .= "\t<link href='" . $gfont_url . $subset . "' rel='stylesheet' type='text/css'>\n";
				$font_names[$external_font]->copied = true;
			} else {
				// if this is a fontsquirrel
				$fontsquirrel_urls .= trim(str_replace("url('", "url('" . $templatepath . "/fonts/", $font_names[$external_font]->styles));
				// copy the font files into the template
				$dest = $path .'/' . $templatename . '/fonts';
				$src = TEMPLATECREATORCK_PATH . '/fonts/' . $font_names[$external_font]->name;
				// create the folder fonts if needed
				if (!TCK_Folder::exists($dest)) {
					if (!TCK_Folder::create($dest)) {
						$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FOLDER_FONTS') . '</p>';
					} else {
						$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FOLDER_FONTS') . '</p>';
					}
					$messages[] = $msg;

					// create index.html file (css)
					$indexhtmldest = $path . '/fonts/index.html';

					if (!TCK_File::copy($indexhtmlsrc, $indexhtmldest)) {
						$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' : fonts/index.html</p>';
					} else {
						$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' : fonts/index.html</p>';
					}
					$messages[] = $msg;
				}
				$fontfiles = TCK_Folder::files($src);
				foreach ($fontfiles as $fontfile) {
					$fileext = strtolower(TCK_File::getExt($fontfile));
					if ($fileext != 'css' AND $fileext != 'html' AND $fileext != 'txt')
						if (!TCK_File::copy($src . '/' . $fontfile, $dest . '/' . $fontfile)) {
							echo 'ERREUR COPIE FONT';
						}
				}
				$font_names[$external_font]->copied = true;
			}
		}
	}
	$gfonts_url .= "\t";
	if ( trim($fontsquirrel_urls) != "") {
		$fontsquirrel_url = "<style type='text/css'>\n";
		$fontsquirrel_url .= $fontsquirrel_urls;
		$fontsquirrel_url .= "\n\t</style>\n\t";
	}
}

foreach ($googlefonts as $googlefont) {
	$gfonts_url .= "\t<link href='https://fonts.googleapis.com/css?family=" . str_replace(' ', '+', $googlefont) . "' rel='stylesheet' type='text/css'>\n";
}

/* * * create index.php ** */

// make code for special characters
$headcode = str_replace('|lt|', '<', $headcode);
$headcode = str_replace('|gt|', '>', $headcode);
$headcode = str_replace("|rr|", "\r\n", $headcode);
$headcode = str_replace("|tab|", "\t", $headcode);
$headcode = str_replace("|plus|", "+", $headcode);
$headcode = str_replace("|di|", "#", $headcode);

// make code for special characters
$bodycode = str_replace('|lt|', '<', $bodycode);
$bodycode = str_replace('|gt|', '>', $bodycode);
$bodycode = str_replace("|rr|", "\r\n", $bodycode);
$bodycode = str_replace("|tab|", "\t", $bodycode);
$bodycode = str_replace("|di|", "#", $bodycode);

$stylesheet = '';
$script = '';
$scriptDeclaration = '';
$styleDeclaration = '';
$php = '';

// loads the fonts
$stylesheet .= $gfonts_url;
$stylesheet .= $fontsquirrel_url;

$stylesheet .= '
	<link rel="stylesheet" href="<?php bloginfo(\'stylesheet_url\') ?>"/>';
	$stylesheet .= '
	<?php if (theme_'.$templatename.'_options(\'responsive\', \'1\')) { ?>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri() ?>/css/mobile.css" type="text/css" />
	<?php } ?>';

	if ($facktoload && $facktoload !== 'false') {
		$stylesheet .= '
	<link rel="stylesheet" href="' . $templatepath . '/css/font-awesome.min.css" type="text/css" />';
	}

	if (file_exists($path . '/css/custom.css')) {
		$stylesheet .= '
	<link rel="stylesheet" href="' . $templatepath . '/css/custom.css" type="text/css" />';
	}
	$stylesheet .= '
	<link rel="stylesheet" href="' . $templatepath . '/css/mobile.css" type="text/css" />';

foreach ($widgets as $widget) {
	$stylesheet .= $widget->render['stylesheet'] ? "\n\t" . $widget->render['stylesheet'] : '';
	$script .= $widget->render['script'] ? "\n\t" . $widget->render['script'] : '';
	$scriptDeclaration .= $widget->render['scriptDeclaration'] ? "\n\t" . $widget->render['scriptDeclaration'] : '';
	$styleDeclaration .= $widget->render['styleDeclaration']? "\n\t" . $widget->render['styleDeclaration'] : $widget->render['styleDeclaration'];
	$php .= $widget->render['php'] ? "\n\t" . $widget->render['php'] : '';
	
	if (isset($widget->render['jsFiles']) && is_array($widget->render['jsFiles'])) {
		foreach ($widget->render['jsFiles'] as $jsName => $jsFile) {
			TCK_Folder::create($path . '/js/');
			TCK_File::copy($jsFile, $path . '/js/' . $jsName . '.js');
		}
	}
}

// create custom.css file if exists
//if ($customjs) {
	// delete the entire folder if already exists
//	if (!TCK_Folder::exists($path . '/js')) {
//		TCK_Folder::create($path . '/js');
//	}

//	if (!TCK_File::write($path . '/js/custom.js', $customjs)) {
//		$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_CUSTOMCSS') . '</p>';
//		$messages[] = $msg;
//	} else {
		$script .= "\n\t" . '<?php if (file_exists(dirname( __FILE__ ) . \'/js/custom.js\')) { ?><script src="' . $templatepath . '/js/custom.js" type="text/javascript" ></script><?php } ?>';
//	}
//}

// define path to file
$headerphpdest = $path . '/header.php';
$indexphpdest = $path . '/index.php';
$footerphpdest = $path . '/footer.php';

// create header
$headerphptext = '<?php

/**
 * @copyright	' . $copyright . '
 * ' . $authorUrl . '
 * Theme made with Template Creator CK - http://www.template-creator.com
 * ' . $templatename . '
 * @license ' . $license . '
 * @version ' . $version . '
 * */

// No direct access to this file
defined(\'ABSPATH\') or die;
wp_enqueue_script(\'jquery\');
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo(\'charset\'); ?>" />
	<meta name="viewport" content="width=device-width" />
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo(\'pingback_url\'); ?>" />
	<?php wp_head(); ?>
	';

// a ajouter si utilisation 
/* <!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]--> */
	
$headerphptext .= $stylesheet
	. ($styleDeclaration ? "\n\t" . '<style type="text/css">' . $styleDeclaration . "\n\t" . '</style>' : '')
	. $script
	. ($scriptDeclaration ? "\n\t" . '<script type="text/javascript">' . $scriptDeclaration . "\n\t" . '</script>' : '')
	. ($php ? "\n\t" . '<?php ' . $php . "\n\t" . ' ?>' : '')
	. '
';

// inject php code in document head
// $headerphptext .= stripslashes($headcode);
//$containerClass = $isFluid ? 'container-fluid' : 'container';

if ($ie7inlineblock) $headerphptext .= "<!--[if lte IE 7]>
<style type=\"text/css\">
" . implode(",", $ie7inlineblock) . " {
\tdisplay: inline !important;
\tzoom: 1;
}
</style>
<![endif]-->
";

// add google analytics
if ($googleanalytics) {
	$headerphptext .= "<?php if (theme_".$templatename."_options('googleanalyticscode')) { ?>
<script type=\"text/javascript\">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', '<?php echo theme_".$templatename."_options('googleanalyticscode') ?>']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>
<?php } ?>";
}
// custom code here
if (file_exists($path . '/customheader.php')) {
	$headerphptext .= "<?php include_once(dirname( __FILE__ ) . '/customheader.php'); ?>";
}
$headerphptext .= '
</head>
<?php
$bgoption = get_option(\'background_image\');
$bgcover = (isset($bgoption[\'cover\']) && $bgoption[\'cover\'] == \'1\') ? \'background-size:cover;\' : \'\';
?>
<body <?php body_class(); ?> style="<?php echo $bgcover ?>">';

// create index
$indexphptext = '<?php
// load the header.php file
get_header();
$tmpl = isset($_GET[\'tmpl\']) && $_GET[\'tmpl\'] ? $_GET[\'tmpl\'] : \'\';
if ($tmpl) : 
?>
<style type="text/css">
body {
	background: #fff;
}
</style>
<?php
get_template_part( \'content\', get_post_format() );
else :
?>
';

$contentphp = "<?php
/** 
 * Theme made with Template Creator CK - http://www.template-creator.com
 * @copyright	Template Creator CK
 * */

// No direct access to this file
defined('ABSPATH') or die;
?>
<?php dynamic_sidebar( 'message' ); ?>
<?php if ( have_posts() ) : ?>											
	<?php /* Start the Loop */ ?>
	<?php while ( have_posts() ) : the_post(); ?>
	<article id=\"post-<?php the_ID(); ?>\" <?php post_class(); ?>>
		<header>
		<?php if ( is_single() ) :
		the_title( '<h2 class=\"entry-title\">', '</h2>' );
		else :
		the_title( '<h2 class=\"entry-title\"><a href=\"' . esc_url( get_permalink() ) . '\" rel=\"bookmark\">', '</a></h2>' );
		endif;
		?>
		</header>
		<?php
		if ( has_post_thumbnail() ) {
			the_post_thumbnail();
		}
		?>
		<?php the_content(); ?>
		<?php wp_link_pages( array(
			'before'      => '<div class=\"page-links\"><span class=\"page-links-title\">' . __( 'Pages:', '".$templatename."' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
			'pagelink'    => '<span class=\"screen-reader-text\">' . __( 'Page', '".$templatename."' ) . ' </span>%',
			'separator'   => '<span class=\"screen-reader-text\">, </span>',
		) );
		?>
	</article>
	<?php if (theme_".$templatename."_options('comments', '1')) { 
		comments_template(); 
	} ?>
	<?php endwhile; ?>
	<?php
	// Previous/next page navigation.
	the_posts_pagination( array(
		'prev_text'          => __( 'Previous page', '".$templatename."' ),
		'next_text'          => __( 'Next page', '".$templatename."' ),
		'before_page_number' => '<span class=\"meta-nav screen-reader-text\">' . __( 'Page', '".$templatename."' ) . ' </span>',
	) );
	?>
<?php endif; ?>
";

// create the file content.php
if (!TCK_File::write($path . '/content.php', $contentphp)) {
	$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /content.php</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /content.php</p>';
}
$messages[] = $msg;

// inject html code
$indexphptext .= stripslashes($headcode);
$indexphptext .= stripslashes($bodycode);

// close body and html page
$indexphptext .= '
    </div>
</div>
<?php 
endif;
get_footer();';

$footerphptext = '<?php 
// load the footer.php file
wp_footer(); ?>';
// custom code here
if (file_exists($path . '/customcodeendbody.php')) {
	$footerphptext .= "
<?php include_once(dirname( __FILE__ ) . '/customcodeendbody.php'); ?>";
}
$footerphptext .= '
	</body>
</html>';

// copy the standard file code to reuse it for other templates
$standarphptext = $indexphptext;

// create the file header.php
if (!TCK_File::write($path . '/header.php', $headerphptext)) {
	$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /header.php</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /header.php</p>';
}
$messages[] = $msg;

// create the file index.php
$bodycode = '<?php dynamic_sidebar( \'message\' ); ?>
	<?php if ( have_posts() ) : ?>											
		<?php /* Start the Loop */ ?>
		<?php while ( have_posts() ) : the_post(); ?>
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<header>
			<?php if ( is_single() ) :
			the_title( \'<h2 class="entry-title">\', \'</h2>\' );
			else :
			the_title( \'<h2 class="entry-title"><a href="\' . esc_url( get_permalink() ) . \'" rel="bookmark">\', \'</a></h2>\' );
			endif;
			?>
			</header>
			<?php the_content(); ?>
		</article>
		<?php if (theme_'.$templatename.'_options(\'comments\', \'1\')) { 
			comments_template(); 
		} ?>
		<?php endwhile; ?>
	<?php endif; ?>';
$bodycode = '					<?php get_template_part( \'content\', get_post_format() ); ?>';
$indexphptext = str_replace('|BODYCODE|', $bodycode, $indexphptext);

function replaceStrings(&$indexphptext, $templatename) {
	$regex = "#CKLOADMODULE\((.*?)\)#s"; // masque de recherche
	$indexphptext = preg_replace_callback($regex, 'replaceLoadmodule', $indexphptext);
	$regex = "#CKLOADMODULEMENU\((.*?)\)#s"; // masque de recherche
	$indexphptext = preg_replace_callback($regex, 'replaceLoadmodule', $indexphptext);
	$indexphptext = str_replace('CKCOUNTMODULEMENU', 'has_nav_menu', $indexphptext);
	$indexphptext = str_replace('CKCOUNTMODULE', 'is_active_sidebar', $indexphptext);
	$indexphptext = str_replace('[TEMPLATENAME]', $templatename, $indexphptext);
	$indexphptext = str_replace('CKGETOPTION', 'theme_' . $templatename . '_options', $indexphptext);
	$indexphptext = str_replace('CKTEMPLATEURL', 'get_template_directory_uri() .', $indexphptext);
}
replaceStrings($indexphptext, $templatename);
function replaceLoadmodule($matches) {
	$vars = $matches[1];
	$vars = explode(',', $vars);
	$position = $vars[0];
//	$iconattribs = $vars[1];

	if (stristr($matches[0], 'CKLOADMODULEMENU')) {
		$html = '<?php wp_nav_menu( array( \'theme_location\' => \'' . $position . '\' ) ); ?>';
	} else {
		$html = '<?php theme_[TEMPLATENAME]_dynamic_sidebar(\'' . $position . '\'); ?>';
	}
	return $html;
}

$indexphptext = preg_replace('~\R~u', "\r\n", $indexphptext);
// create the file index.php
if (!TCK_File::write($indexphpdest, $indexphptext)) {
	$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /index.php</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /index.php</p>';
}
$messages[] = $msg;

// create the file footer.php
if (!TCK_File::write($footerphpdest, $footerphptext)) {
	$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /footer.php</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /footer.php</p>';
}
$messages[] = $msg;

// create the file woocommerce.php
$woocommercecode = '<?php dynamic_sidebar( \'message\' ); ?>
	<div class="woocommerce">
		<?php woocommerce_content(); ?>
	</div>';
$woocommercephptext = str_replace('|BODYCODE|', $woocommercecode, $standarphptext);
replaceStrings($woocommercephptext, $templatename);
$woocommercephptext = preg_replace('~\R~u', "\r\n", $woocommercephptext);
// create the file header.php
if (!TCK_File::write($path . '/woocommerce.php', $woocommercephptext)) {
	$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /woocommerce.php</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /woocommerce.php</p>';
}
$messages[] = $msg;

//echo $customcodeendbody;

/*--------------------------------
 * --	CSS STEP				--
 * -----------------------------*/

// refactor the blocs array
$blocsbyname = array();
foreach ($blocs as $bloc) {
	$blocsbyname[$bloc->ckid] = $bloc;
}

// define the widths
$mainwidth = 100 - $column1width;
$centerwidth = 100 - $column2width;
$centerwidthnoleft = 100 - $column2widthnoleft;

// define path to file
$templatecssdest = $path . '/style.css';
$templatecss_rtldest = $path . '/style_rtl.css';
$templatecss_mobiledest = $path . '/css/mobile.css';
$templatecsstext = '';

// create css standard styles
$templatecsstext .= '/*
Theme Name: ' . $templatename . '
Theme URI: ' . $authorUrl . '
Author: ' . $author . '
Author URI: ' . $authorEmail . '
Description: ' . $description . '
Version: ' . $version . '
License: ' . $license . '
License URI: ' . $authorEmail . '
Text Domain: ' . $templatename . '
*/

/* ---------------------------------------
	Standard styles formatting
	created with Template Creator CK
	on http://www.template-creator.com
-----------------------------------------*/

html {
	height: 101/100%;
}

body {
	margin: 0;
	padding: 0;
}

* {
	padding: 0;
	margin: 0;
}

h1, h2, h3, h4, h5, h6 {
	padding: 3px 0;
	margin: 0;
	line-height: 1.2;
	font-weight: bold;
	font-style: normal;
}

h1 {
	font-size: 1.75em;
}

h2 {
	font-size: 1.5em;
}

h3 {
	font-size: 1.25em;
}

h4 {
	font-size: 1em;
}

ul, ol {
	padding: .75em 0 .75em 0;
	margin: 0 0 0 35px;
}

ul.menu {
	margin: 0;
	padding: 0;
}

ul.menu li {
	list-style: none;
}

ul.menu li a {
	text-decoration: none;
}


p {
	padding: 5px 0;
}

address {
	margin: .75em 0;
	font-style: normal;
}

a:focus {
	outline: none;
}

img {
	border: none;
}

em {
	font-style: italic;
}
strong {
	font-weight: bold;
}

form, fieldset {
	margin: 0;
	padding: 0;
	border: none;
}
input, button, select {
	vertical-align: middle;
}

.flexiblecolumn {
	min-height: 0.1px; /* needed to keep the area of the column */
	box-sizing: border-box;
}

.clr {
	clear : both;
}

.clearfix:after {
	content: " ";
	display: block;
	height: 0;
	clear: both;
	visibility: hidden;
	font-size: 0;
}

.clearfix {
	zoom: 1;
}

audio, canvas, img, svg, video {
	max-width: 100%;
	height: auto;
	box-sizing: border-box;
}

table img {
	max-width: none;
}

'.($column1width ? '
.column.column1 {
	width: ' . $column1width . '%;
}
' : '') . '
.column.column2 {
	width: ' . $column2width . '%;
}
'.($column1width ? '
.column.main {
	width: ' . $mainwidth . '%;
}
' : '') . '
.column.center {
	width: ' . $centerwidth . '%;
}
'.($column1width ? '
.noleft .center.column  {
	width: ' . $centerwidthnoleft . '%;
}

.noleft .column2 {
	width: ' . $column2widthnoleft . '%;
}

.noleft .main {
	width: 100%;
}
' : '') . '
.noright .column.center {
	width: 100%;
}

.flexiblemodule, .column, .logobloc, .flexiblecolumn {
	float: left;
}

.rtl .flexiblemodule, .rtl .column, .rtl .logobloc, .rtl .flexiblecolumn {
	float: right;
}

/* for equalheights */
section > .inner > .clr,
.flexiblemodule > .inner > .clr,
.equalheights > .inner > .clr,
section > .inner:before,
.flexiblemodule > .inner:before,
.equalheights > .inner:before,
section > .inner:after,
.flexiblemodule > .inner:after,
.equalheights > .inner:after {
	display: none;
}

section > .inner,
.equalheights > .inner,
.equalheights .maincenter > .inner {
	display: flex;
	justify-content: space-between;
}

.flexiblemodule {
	display: flex;
}

.flexiblemodule > .inner {
	max-width:100%;
	width: 100%;
	box-sizing: border-box;
}

.videobackground { 
	position: absolute;
	top: 50%;
	left: 50%;
	min-width: 100%;
	min-height: 100%;
	width: auto;
	height: auto;
	z-index: 0;
	-webkit-transform: translateX(-50%) translateY(-50%);
	transform: translateX(-50%) translateY(-50%);
	background-size: cover;
	object-fit: cover;
}

.videobackground + * { 
	position: relative;
	z-index: 1;
}

.hasvideobackground {
	position: relative;
	overflow: hidden;
}

.aligncenter, div.aligncenter {
	display: block;
	margin-left: auto;
	margin-right: auto;
}
.alignleft {
	float: left;
}
.alignright {
	float: right;
}

.valign-top {
	align-self: flex-start;
}

.valign-center {
	align-self: center;
}

.valign-bottom {
	align-self: flex-end;
}

.tck-logo-img {
	display: block;
}

.tck-logo-center img {
	margin-left: auto;
	margin-right: auto;
}

.tck-logo-right img {
	margin-left: auto;
}

.tck-article {
	clear: both;
}

.wp-caption,
.gallery-caption {
	color: #666;
	font-size: 13px;
	font-size: 0.8125rem;
	font-style: italic;
	margin-bottom: 1.5em;
	max-width: 100%;
}

.wp-caption img[class*="wp-image-"] {
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.wp-caption .wp-caption-text {
	margin: 0.8075em 0;
}

/* Post Landing Page */

.sticky {
	position: relative;
}

.post:not(.sticky) .icon-thumb-tack {
	display: none;
}

.sticky .icon-thumb-tack {
	display: block;
	height: 18px;
	left: -1.5em;
	position: absolute;
	top: 1.65em;
	width: 20px;
}

/* ---------------------------------------
	Accessibility
-----------------------------------------*/

/* Text meant only for screen readers */
.says,
.screen-reader-text {
	clip: rect(1px, 1px, 1px, 1px);
	height: 1px;
	overflow: hidden;
	position: absolute !important;
	width: 1px;
}

/* must have higher specificity than alternative color schemes inline styles */
.site .skip-link {
	background-color: #f1f1f1;
	box-shadow: 0 0 1px 1px rgba(0, 0, 0, 0.2);
	color: #21759b;
	display: block;
	font: bold 14px/normal "Noto Sans", sans-serif;
	left: -9999em;
	outline: none;
	padding: 15px 23px 14px;
	text-decoration: none;
	text-transform: none;
	top: -9999em;
}

.logged-in .site .skip-link {
	box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
	font: bold 14px/normal "Open Sans", sans-serif;
}

.site .skip-link:focus {
	clip: auto;
	height: auto;
	left: 6px;
	top: 7px;
	width: auto;
	z-index: 100000;
}


.bypostauthor > article .fn:after {
	content: "\f304";
	position: relative;
	top: 5px;
	left: 3px;
}

/* ---------------------------------------
	CSS grid for content alignement
-----------------------------------------*/
[class*="tck-cols"] {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	box-sizing: border-box;
}

[class*="tck-cols"] > * {
	flex: 1 1 auto;
	box-sizing: border-box;
}

[class*="tck-gutter"] > * {
	flex: 0 1 auto;
}

/* no gutter */
.tck-cols-2 > * {
	width: 50%;
}

.tck-cols-3 > * {
	width: 33.333%;
}

.tck-cols-4 > * {
	width: 25%;
}
.tck-cols-8 > * {
	width: 12.5%;
}

/* gutter 10px */
.tck-cols-2.tck-gutter-10 > * {
	width: calc((100% - 10px) / 2);
}

.tck-cols-3.tck-gutter-10 > * {
	width: calc((100% - 2 * 10px) / 3);
}

.tck-cols-4.tck-gutter-10 > * {
	width: calc((100% - 3 * 10px) / 4);
}

.tck-cols-8.tck-gutter-10 > * {
	width: calc((100% - 7 * 10px) / 8);
}

';

$templatecsstext .= $customslayoutcss;

// Add the layouts css
$layouts = array('comments', 'error404', 'article', 'blog');
foreach ($layouts as $layout) {
	$templatecsstext .= '
	/* ---------------------------------------
		' . ucfirst($layout) . '
	-----------------------------------------*/

';
	if (file_exists(TEMPLATECREATORCK_PATH . '/style_' . $layout . '.css')) {
		$layoutstyletext = @file_get_contents(TEMPLATECREATORCK_PATH . '/style_' . $layout . '.css');
		$templatecsstext .= $layoutstyletext;
	}
	$layoutcsstext = $this->input->get('layout' . $layout . 'css', '', 'string');
	$templatecsstext .= str_replace('|ID| ', '', $layoutcsstext) . "\n";

	// load the custom layout features
	if (file_exists(TEMPLATECREATORCK_PATH . '/interfaces/layout_' . $layout . '.php'))
		include_once(TEMPLATECREATORCK_PATH . '/interfaces/layout_' . $layout . '.php');
}

$templatecsstext .= '
	/* ---------------------------------------
	Custom styling
-----------------------------------------*/

';

$template_rtlcsstext = str_replace("float: left;", "float: right;", $templatecsstext);

$cssstyles = new CKStyles();

// create css for mobile responsive design
$cssmobilestyles = new CssMobileStyles();
$templatemobilecsstext = $cssmobilestyles->create($blocs, $column1width, $column2width, $templateid, $htmlcode_responsive);
// create css for each bloc
foreach ($blocs as $bloc) {
	if (stristr($bloc->class, 'flexiblemodules')) {
//		$flexiblemodulesCss = $cssstyles->createFlexiblemodulesCss($bloc, $bloc->ckid, 'archive');
		$templatecsstext .= $cssstyles->createFlexiblemodulesCss($bloc, $bloc->ckid, 'archive', 'ltr');
		$template_rtlcsstext .= $cssstyles->createFlexiblemodulesCss($bloc, $bloc->ckid, 'archive', 'rtl');
	}
	if (!isset($bloc->isdisabled) || (isset($bloc->isdisabled) && $bloc->isdisabled != 'true') || (isset($bloc->ishidden) && $bloc->ishidden != 'true')) {
		$templatecsstext .= $cssstyles->create($bloc, $bloc->ckid, 'archive', 'ltr');
		$template_rtlcsstext .= $cssstyles->create($bloc, $bloc->ckid, 'archive', '', 'rtl');
	}
	if (isset($customstyles->{$bloc->ckid})) {
		$customstyle = array($bloc->ckid => $customstyles->{$bloc->ckid});
		$templatecsstext .= $cssstyles->create($bloc, $bloc->ckid, 'archive', '', 'ltr', $customstyle);
	}
}

// write CSS for mobile
$templatecss_mobiletext = '
/* ---------------------------------------
	Responsive design code
-----------------------------------------*/

@media screen and (min-width: ' . ((int)$responsivevalues[3]+1) . 'px) {

.hidemobile5 {
	display: none !important;
}

[class*="tck-cols"].tck-stack-5,
[class*="tck-cols"].tck-stack-desktop {
	display: block;
}

[class*="tck-cols"].tck-stack-5 > *,
[class*="tck-cols"].tck-stack-desktop > * {
	width: auto !important;
}


' . $templatemobilecsstext->resolution5 . '

}

@media screen ' . ($responsiverange == 'between' ? 'and (min-width: ' . ((int)$responsivevalues[2]+1) . 'px) ' : '') . 'and (max-width: ' . (int)$responsivevalues[3] . 'px) {

img {
	max-width: 100%;
	height: auto;
}

.tck-container {
	width: ' . (int)$responsivevalues[2] . 'px;
}

.hidemobile4 {
	display: none !important;
}

[class*="tck-cols"].tck-stack-4,
[class*="tck-cols"].tck-stack-tablet-l {
	display: block;
}

[class*="tck-cols"].tck-stack-4 > *,
[class*="tck-cols"].tck-stack-tablet-l > * {
	width: auto !important;
}


' . $templatemobilecsstext->resolution4 . '

}

@media screen ' . ($responsiverange == 'between' ? 'and (min-width: ' . ((int)$responsivevalues[1]+1) . 'px) ' : '') . 'and (max-width: ' . (int)$responsivevalues[2] . 'px) {

img {
	max-width: 100%;
	height: auto;
}

.tck-container {
	width: ' . (int)$responsivevalues[1] . 'px;
}

.hidemobile3 {
	display: none !important;
}

[class*="tck-cols"].tck-stack-3,
[class*="tck-cols"].tck-stack-tablet-p {
	display: block;
}

[class*="tck-cols"].tck-stack-3 > *,
[class*="tck-cols"].tck-stack-tablet-p > * {
	width: auto !important;
}


' . $templatemobilecsstext->resolution3 . '

}

@media screen ' . ($responsiverange == 'between' ? 'and (min-width: ' . ((int)$responsivevalues[0]+1) . 'px) ' : '') . 'and (max-width: ' . (int)$responsivevalues[1] . 'px) {

img {
	max-width: 100%;
	height: auto;
}

.tck-container {
	width: ' . (int)$responsivevalues[0] . 'px;
}

.hidemobile2 {
	display: none !important;
}

[class*="tck-cols"].tck-stack-2,
[class*="tck-cols"].tck-stack-phone-l {
	display: block;}

[class*="tck-cols"].tck-stack-2 > *,
[class*="tck-cols"].tck-stack-phone-l > * {
	width: auto !important;
}


' . $templatemobilecsstext->resolution2 . '

}

@media screen and (max-width: ' . (int)$responsivevalues[0] . 'px) {

img {
	max-width: 100%;
	height: auto;
}

.tck-container {
	width: ' . (int)$responsiveminivalue . 'px;
}

.hidemobile1 {
	display: none !important;
}

[class*="tck-cols"].tck-stack-1,
[class*="tck-cols"].tck-stack-phone-p {
	display: block;
}

[class*="tck-cols"].tck-stack-1 > *,
[class*="tck-cols"].tck-stack-phone-p > * {
	width: auto !important;
}

' . $templatemobilecsstext->resolution1 . '

}
';
$templatecsstext = preg_replace('~\R~u', "\r\n", $templatecsstext);
// create the file template.css
if (!TCK_File::write($templatecssdest, $templatecsstext)) {
	$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /style.css</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /style.css</p>';
}
$messages[] = $msg;

$template_rtlcsstext = preg_replace('~\R~u', "\r\n", $template_rtlcsstext);
// create the file template_rtl.css
if (!TCK_File::write($templatecss_rtldest, $template_rtlcsstext)) {
	$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /style_rtl.css</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /style_rtl.css</p>';
}
$messages[] = $msg;

// create the file mobile.css
if (!TCK_File::write($templatecss_mobiledest, $templatecss_mobiletext)) {
	$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /css/mobile.css</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /css/mobile.css</p>';
}
$messages[] = $msg;


/*--------------------------------
 * --	FUNCTIONS STEP				--
 * -----------------------------*/

$functext = '<?php
';

$functext_options = "";

// check if there is some logos in the template
$logos_id = array();
foreach ($blocs as $i => $bloc) {
	// manage logo option
	if (stristr($bloc->class, 'bannerlogo')) {
		// $logos_id[$bloc->ckid] = new stdClass();
		// $logos_id[$bloc->ckid]->imgsrc = $bloc->blocbackgroundimageurl;
		// $logos_id[$bloc->ckid]->height = isset($bloc->logoheight) ? $bloc->logoheight : 'auto';
		// $logos_id[$bloc->ckid]->width = isset($bloc->logowidth) ? $bloc->logowidth : '100%';
		
		$imageurl = explode("/", $bloc->blocbackgroundimageurl);
		$imageurl = end($imageurl);
		$imageurl = get_theme_root_uri() . '/' . $templatename . '/images/' . $imageurl;

		// adds the code for the option
		// $functext .= '// active the header fuction
// $args = array(
	// \'width\'         => '.(isset($bloc->logowidth) ? $bloc->logowidth : '100%').',
	// \'height\'        => '.(isset($bloc->logoheight) ? $bloc->logoheight : 'auto').',
	// \'default-image\' => \''.$imageurl.'\',
// );
// add_theme_support( \'custom-header\', $args );

// ';

// method to overwrite the logo options if the theme is already installed and the option already set
$default_theme_options = get_option('theme_'.$templatename.'_options');
$default_theme_options[$bloc->ckid.'_logoimgsrc'] = $imageurl;
$default_theme_options[$bloc->ckid.'_logo_width'] = (isset($bloc->logowidth) ? $bloc->logowidth : '');
$default_theme_options[$bloc->ckid.'_logo_height'] = (isset($bloc->logoheight) ? $bloc->logoheight : '');
update_option('theme_'.$templatename.'_options', $default_theme_options);

	$functext_options .= "
	// This adds a new section (i.e. category/group) to the Theme Customizer page. 
	\$wp_customize->add_section(
		'".$bloc->ckid."_logo_tck_options',
		array(
			'title' => __( '[ ".$bloc->ckid." ] Logo Options', '".$templatename."' ),
			'priority'   => 100,
			'capability' => 'edit_theme_options'
		)
	);

	//  =============================
    //  = Image Upload              =
    //  =============================
	\$wp_customize->add_setting('theme_".$templatename."_options[".$bloc->ckid."_logoimgsrc]', array(
		'default'           => '".$imageurl."',
		'capability'        => 'edit_theme_options',
		'type'          	 => 'option',
		'priority'   		=> 1,
		'sanitize_callback' => 'sanitize_hex_color'
	));
 
	\$wp_customize->add_control( new WP_Customize_Image_Control(\$wp_customize, '".$bloc->ckid."_logoimgsrc', array(
		'label'    => __('Logo Image', '".$templatename."'),
		'section'  => '".$bloc->ckid."_logo_tck_options',
		'settings' => 'theme_".$templatename."_options[".$bloc->ckid."_logoimgsrc]',
	)));

	//  =============================
	//  = Width Input               =
	//  =============================
	\$wp_customize->add_setting('theme_".$templatename."_options[".$bloc->ckid."_logo_width]', array(
		'default'        => '".(isset($bloc->logowidth) ? $bloc->logowidth : '')."', // default value
		'capability'     => 'edit_theme_options',
		'type'           => 'option',
		'sanitize_callback' => 'sanitize_text_field'
	));

	\$wp_customize->add_control('theme_".$templatename."_options_".$bloc->ckid."_logo_width', array(
		'label'      => __('Logo width', '".$templatename."'), // title 
		'section'    => '".$bloc->ckid."_logo_tck_options', // refer to the section name created before
		'settings'   => 'theme_".$templatename."_options[".$bloc->ckid."_logo_width]', // refer to the add_setting name
	));
	
	//  =============================
	//  = Height Input              =
	//  =============================
	\$wp_customize->add_setting('theme_".$templatename."_options[".$bloc->ckid."_logo_height]', array(
		'default'        => '".(isset($bloc->logoheight) ? $bloc->logoheight : 'auto')."', // default value
		'capability'     => 'edit_theme_options',
		'type'           => 'option',
		'sanitize_callback' => 'sanitize_text_field'
	));

	\$wp_customize->add_control('theme_".$templatename."_options_".$bloc->ckid."_logo_height', array(
		'label'      => __('Logo height', '".$templatename."'), // title 
		'section'    => '".$bloc->ckid."_logo_tck_options', // refer to the section name created before
		'settings'   => 'theme_".$templatename."_options[".$bloc->ckid."_logo_height]', // refer to the add_setting name
	));
	
	//  =============================
	//  = Link url Input            =
	//  =============================
	\$wp_customize->add_setting('theme_".$templatename."_options[".$bloc->ckid."_logolink]', array(
		'default'        => '', // default value
		'capability'     => 'edit_theme_options',
		'type'           => 'option',
		'sanitize_callback' => 'sanitize_text_field'
	));

	\$wp_customize->add_control('theme_".$templatename."_options_".$bloc->ckid."_logolink', array(
		'label'      => __('Logo link', '".$templatename."'), // title 
		'section'    => '".$bloc->ckid."_logo_tck_options', // refer to the section name created before
		'settings'   => 'theme_".$templatename."_options[".$bloc->ckid."_logolink]', // refer to the add_setting name
	));
	
	//  =============================
	//  = Alt description Input               =
	//  =============================
	\$wp_customize->add_setting('theme_".$templatename."_options[".$bloc->ckid."_logoalt]', array(
		'default'        => '', // default value
		'capability'     => 'edit_theme_options',
		'type'           => 'option',
		'sanitize_callback' => 'sanitize_text_field'
	));

	\$wp_customize->add_control('theme_".$templatename."_options_".$bloc->ckid."_logoalt', array(
		'label'      => __('Logo alt description', '".$templatename."'), // title 
		'section'    => '".$bloc->ckid."_logo_tck_options', // refer to the section name created before
		'settings'   => 'theme_".$templatename."_options[".$bloc->ckid."_logoalt]', // refer to the add_setting name
	));
	
	//  =============================
	//  = Title Input         =
	//  =============================
	\$wp_customize->add_setting('theme_".$templatename."_options[".$bloc->ckid."_logodescription]', array(
		'default'        => '', // default value
		'capability'     => 'edit_theme_options',
		'type'           => 'option',
		'sanitize_callback' => 'sanitize_text_field'
	));

	\$wp_customize->add_control('theme_".$templatename."_options_".$bloc->ckid."_logodescription', array(
		'label'      => __('Logo title', '".$templatename."'), // title 
		'section'    => '".$bloc->ckid."_logo_tck_options', // refer to the section name created before
		'settings'   => 'theme_".$templatename."_options[".$bloc->ckid."_logodescription]', // refer to the add_setting name
	));";

	}
	
	// register menus
	if (stristr($bloc->class, 'horiznav') || stristr($bloc->class, 'bannermenu')) {
	$functext .= '// register the menus
	register_nav_menus( array(
		\'' . $bloc->ckmoduleposition . '\'   => __( \'' . $bloc->ckid . '\', \'' . $templatename . '\' )
	) );
	
';
	}
}

// needed options to pass theme check
$functext .= '// set default content width
if ( ! isset( $content_width ) ) {
	$content_width = 660;
}

require get_template_directory() . \'/inc/template-tags.php\';

';

// add options for responsive, google analytics
$functext_options .= "
	// This adds a new section (i.e. category/group) to the Theme Customizer page. 
	\$wp_customize->add_section(
		'advanced_tck_options',
		array(
			'title' => __( 'Advanced Options', '".$templatename."' ),
			'priority'   => 100,
			'capability' => 'edit_theme_options'
			// 'description' => __( 'Setup your theme.', '".$templatename."' )
		)
	);

	//  =============================
	//  = Responsive Input               =
	//  =============================
	\$wp_customize->add_setting('theme_".$templatename."_options[responsive]', array(
		'default'        => '1',
		'capability'     => 'edit_theme_options',
		'type'           => 'option',
		'sanitize_callback' => 'sanitize_text_field'
	));

	\$wp_customize->add_control('theme_".$templatename."_options_responsive', array(
		'label'      => __('Activate responsive', '".$templatename."'),
		'section'    => 'advanced_tck_options',
		'settings'   => 'theme_".$templatename."_options[responsive]',
		'type'       => 'radio',
		'choices'    => array(
			'1' => __('Yes', '".$templatename."'),
			'0' => __('No', '".$templatename."'),
		),
	));
	
	//  =============================
	//  = Enable comments           =
	//  =============================
	\$wp_customize->add_setting('theme_".$templatename."_options[comments]', array(
		'default'        => '1',
		'capability'     => 'edit_theme_options',
		'type'           => 'option',
		'sanitize_callback' => 'sanitize_text_field'
	));

	\$wp_customize->add_control('theme_".$templatename."_options_comments', array(
		'label'      => __('Enable comments', '".$templatename."'),
		'section'    => 'advanced_tck_options',
		'settings'   => 'theme_".$templatename."_options[comments]',
		'type'       => 'radio',
		'choices'    => array(
			'1' => __('Yes', '".$templatename."'),
			'0' => __('No', '".$templatename."'),
		),
	));

	//  =============================
	//  = Custom background         =
	//  =============================

	\$wp_customize->add_setting('background_image[cover]', array(
		'default'        => '1',
		'capability'     => 'edit_theme_options',
		'type'           => 'option',
		'sanitize_callback' => 'sanitize_text_field'
	));

	\$wp_customize->add_control('cover', array(
		'label'      => __('Image Cover', '".$templatename."'),
		'section'    => 'background_image',
		'settings'   => 'background_image[cover]',
		'type'       => 'radio',
		'choices'    => array(
			'1' => __('Yes', '".$templatename."'),
			'0' => __('No', '".$templatename."'),
		),
	));

";
if ($googleanalytics) {
$functext_options .= "
	//  =============================
	//  = Google Analytics Input         =
	//  =============================
	\$wp_customize->add_setting('theme_".$templatename."_options[analytics]', array(
		'default'        => '', // default value
		'capability'     => 'edit_theme_options',
		'type'           => 'option',

	));

	\$wp_customize->add_control('theme_".$templatename."_options_analytics', array(
		'label'      => __('Google Analytics code', '".$templatename."'), // title 
		'section'    => 'advanced_tck_options', // refer to the section name created before
		'settings'   => 'theme_".$templatename."_options[analytics]', // refer to the add_setting name
	));
";

}


$functext .= "
// create options in the admin customize page
function theme_".$templatename."_customize_register(\$wp_customize){

";
// adds all options
$functext .= $functext_options;

$functext .= "
}
add_action('customize_register', 'theme_".$templatename."_customize_register');

// function for frontend
function theme_".$templatename."_options(\$name, \$default = false) {
    \$options = ( get_option( 'theme_".$templatename."_options' ) ) ? get_option( 'theme_".$templatename."_options' ) : null;
    // return the option if it exists
    if ( isset( \$options[ \$name ] ) ) {
        return apply_filters( 'theme_".$templatename."_options_\$name', \$options[ \$name ] );
    }
    // return default if nothing else
    return apply_filters( 'theme_".$templatename."_options_\$name', \$default );
}
";

// register the sidebars
if (count($positions)) {
	$functext .= '// register the sidebars
function theme_'.$templatename.'_widgets_init() {
';
	
// new method with name
foreach ($blocs as $bloc) {
	if (isset($bloc->ckmoduleposition)) {
		// Icon settings
		$iconpos = (isset($bloc->iconpos) && $bloc->iconpos) ? $bloc->iconpos : '';
		$iconsize = (isset($bloc->iconsize) && $bloc->iconsize) ? $bloc->iconsize : '';
		$iconvpos = (isset($bloc->iconvpos) && $bloc->iconvpos) ? 'vertical-align:' . $bloc->iconvpos . ';' : '';
		$iconposstyle = ($iconpos == 'top' || $iconpos == 'bottom') ? 'display:block;' : 'display:inline-block;';
		$fackstyle = ($iconposstyle != '') ? 'style="' . $iconposstyle . $iconvpos . '"' : '';
//			$fastyle = ($iconvpos != '') ? 'style="' . $iconvpos . '"' : '';
		$icon = (isset($bloc->icon) && $bloc->icon) ? '<span class="fack ' . $iconsize . '" ' . $fackstyle . '><span class="' . $bloc->icon . '"></span></span>' : '';

		$functext .= "		register_sidebar( array(
	'name'          => __( '" . $bloc->ckmoduleposition . ' [' . $bloc->ckid . "]', '" . $templatename . "' ),
	'id'            => '" . $bloc->ckmoduleposition . "',
	'description'   => __( '" . $bloc->ckmoduleposition . " sidebar', '" . $templatename . "' ),
	'before_widget' => '<aside id=\"%1\$s\" class=\"widget %2\$s\">',
	'after_widget'  => '</aside>',
	'before_title'  => '<h3 class=\"widget-title\">" . (($iconpos == 'left' || $iconpos == 'top') ? $icon : '') . "',
	'after_title'   => '" . (($iconpos == 'right' || $iconpos == 'bottom') ? $icon : '') . "</h3>',
) );

";
	}
}

$functext .= '}
add_action( \'widgets_init\', \'theme_'.$templatename.'_widgets_init\' );

';
}

// add support for page title
$functext .= '
function theme_'.$templatename.'_setup() {
	add_theme_support( \'title-tag\' );
}

add_action( \'after_setup_theme\', \'theme_'.$templatename.'_setup\' );

';

// add support for woocommerce
$functext .= '
function theme_'.$templatename.'_woocommerce_support() {
	add_theme_support( \'woocommerce\' );
}

add_action( \'after_setup_theme\', \'theme_'.$templatename.'_woocommerce_support\' );

add_theme_support (\'automatic-feed-links\');

add_theme_support( \'post-thumbnails\' );

// set_post_thumbnail_size( 150, 150, true ); // default Post Thumbnail dimensions (cropped)

//  =============================
//  = Enable custom background  =
//  =============================
add_theme_support( \'custom-background\' );

';

$functext .= '

//  =============================
//  = Theme functions			=
//  =============================
function theme_'.$templatename.'_dynamic_sidebar($position) {
	dynamic_sidebar($position);
}

function theme_'.$templatename.'_scripts() {
	wp_enqueue_style( \''.$templatename.'-style\', get_stylesheet_uri() );
	if ( is_singular() && comments_open() && get_option( \'thread_comments\' ) ) {
		wp_enqueue_script( \'comment-reply\' );
	}
}
add_action( \'wp_enqueue_scripts\', \'theme_'.$templatename.'_scripts\' );

';

$functext .= 'if (file_exists(dirname( __FILE__ ) . \'/customfunctions.php\')) {
	include_once(dirname( __FILE__ ) . \'/customfunctions.php\');
}
';

// define path to file
$funcdest = $path . '/functions.php';

// create the file templateDetails.xml
if (!TCK_File::write($funcdest, $functext)) {
	$msg = '<p class="error">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /functions.php</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /functions.php</p>';
}
$messages[] = $msg;

// create the folder /inc
if (!TCK_Folder::create($path . '/inc')) {
	$msg = '<p class="error">' . TCK_Text::_('CK_ERROR_CREATING_FOLDER') . ' /inc</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FOLDER') . ' /inc</p>';
}
$messages[] = $msg;

$tagstext = '<?php

if ( ! function_exists( \''.$templatename.'_comment_nav\' ) ) :
/**
 * Display navigation to next/previous comments when applicable.
 *
 */
function '.$templatename.'_comment_nav() {
	// Are there comments to navigate through?
	if ( get_comment_pages_count() > 1 && get_option( \'page_comments\' ) ) :
	?>
	<nav class="navigation comment-navigation" role="navigation">
		<h2 class="screen-reader-text"><?php _e( \'Comment navigation\', \''.$templatename.'\' ); ?></h2>
		<div class="nav-links">
			<?php
				if ( $prev_link = get_previous_comments_link( __( \'Older Comments\', \''.$templatename.'\' ) ) ) :
					printf( \'<div class="nav-previous">%s</div>\', $prev_link );
				endif;

				if ( $next_link = get_next_comments_link( __( \'Newer Comments\', \''.$templatename.'\' ) ) ) :
					printf( \'<div class="nav-next">%s</div>\', $next_link );
				endif;
			?>
		</div><!-- .nav-links -->
	</nav><!-- .comment-navigation -->
	<?php
	endif;
}
endif;

if ( ! function_exists( \''.$templatename.'_entry_meta\' ) ) :
/**
 * Prints HTML with meta information for the categories, tags.
 *
 */
function '.$templatename.'_entry_meta() {
	if ( is_sticky() && is_home() && ! is_paged() ) {
		printf( \'<span class="sticky-post">%s</span>\', __( \'Featured\', \''.$templatename.'\' ) );
	}

	$format = get_post_format();
	if ( current_theme_supports( \'post-formats\', $format ) ) {
		printf( \'<span class="entry-format">%1$s<a href="%2$s">%3$s</a></span>\',
			sprintf( \'<span class="screen-reader-text">%s </span>\', _x( \'Format\', \'Used before post format.\', \''.$templatename.'\' ) ),
			esc_url( get_post_format_link( $format ) ),
			get_post_format_string( $format )
		);
	}

	if ( in_array( get_post_type(), array( \'post\', \'attachment\' ) ) ) {
		$time_string = \'<time class="entry-date published updated" datetime="%1$s">%2$s</time>\';

		if ( get_the_time( \'U\' ) !== get_the_modified_time( \'U\' ) ) {
			$time_string = \'<time class="entry-date published" datetime="%1$s">%2$s</time><time class="updated" datetime="%3$s">%4$s</time>\';
		}

		$time_string = sprintf( $time_string,
			esc_attr( get_the_date( \'c\' ) ),
			get_the_date(),
			esc_attr( get_the_modified_date( \'c\' ) ),
			get_the_modified_date()
		);

		printf( \'<span class="posted-on"><span class="screen-reader-text">%1$s </span><a href="%2$s" rel="bookmark">%3$s</a></span>\',
			_x( \'Posted on\', \'Used before publish date.\', \''.$templatename.'\' ),
			esc_url( get_permalink() ),
			$time_string
		);
	}

	if ( \'post\' == get_post_type() ) {
		if ( is_singular() || is_multi_author() ) {
			printf( \'<span class="byline tck-article-details-author"><span class="author vcard"><span class="screen-reader-text">%1$s </span><a class="url fn n" href="%2$s">%3$s</a></span></span>\',
				_x( \'Author\', \'Used before post author name.\', \''.$templatename.'\' ),
				esc_url( get_author_posts_url( get_the_author_meta( \'ID\' ) ) ),
				get_the_author()
			);
		}

		$categories_list = get_the_category_list( _x( \', \', \'Used between list items, there is a space after the comma.\', \''.$templatename.'\' ) );
		if ( $categories_list && '.$templatename.'_categorized_blog() ) {
			printf( \'<span class="cat-links"><span class="screen-reader-text">%1$s </span>%2$s</span>\',
				_x( \'Categories\', \'Used before category names.\', \''.$templatename.'\' ),
				$categories_list
			);
		}

		$tags_list = get_the_tag_list( \'\', _x( \', \', \'Used between list items, there is a space after the comma.\', \''.$templatename.'\' ) );
		if ( $tags_list ) {
			printf( \'<span class="tags-links"><span class="screen-reader-text">%1$s </span>%2$s</span>\',
				_x( \'Tags\', \'Used before tag names.\', \''.$templatename.'\' ),
				$tags_list
			);
		}
	}

	if ( is_attachment() && wp_attachment_is_image() ) {
		// Retrieve attachment metadata.
		$metadata = wp_get_attachment_metadata();

		printf( \'<span class="full-size-link"><span class="screen-reader-text">%1$s </span><a href="%2$s">%3$s &times; %4$s</a></span>\',
			_x( \'Full size\', \'Used before full size attachment link.\', \''.$templatename.'\' ),
			esc_url( wp_get_attachment_url() ),
			$metadata[\'width\'],
			$metadata[\'height\']
		);
	}

	if ( ! is_single() && ! post_password_required() && ( comments_open() || get_comments_number() ) ) {
		echo \'<span class="comments-link">\';
		/* translators: %s: post title */
		comments_popup_link( sprintf( __( \'Leave a comment<span class="screen-reader-text"> on %s</span>\', \''.$templatename.'\' ), get_the_title() ) );
		echo \'</span>\';
	}
}
endif;

/**
 * Determine whether blog/site has more than one category.
 *
 *
 * @return bool True of there is more than one category, false otherwise.
 */
function '.$templatename.'_categorized_blog() {
	if ( false === ( $all_the_cool_cats = get_transient( \''.$templatename.'_categories\' ) ) ) {
		// Create an array of all the categories that are attached to posts.
		$all_the_cool_cats = get_categories( array(
			\'fields\'     => \'ids\',
			\'hide_empty\' => 1,

			// We only need to know if there is more than one category.
			\'number\'     => 2,
		) );

		// Count the number of categories that are attached to the posts.
		$all_the_cool_cats = count( $all_the_cool_cats );

		set_transient( \''.$templatename.'_categories\', $all_the_cool_cats );
	}

	if ( $all_the_cool_cats > 1 || is_preview() ) {
		// This blog has more than 1 category so '.$templatename.'_categorized_blog should return true.
		return true;
	} else {
		// This blog has only 1 category so '.$templatename.'_categorized_blog should return false.
		return false;
	}
}

/**
 * Flush out the transients used in {@see '.$templatename.'_categorized_blog()}.
 *
 */
function '.$templatename.'_category_transient_flusher() {
	// Like, beat it. Dig?
	delete_transient( \''.$templatename.'_categories\' );
}
add_action( \'edit_category\', \''.$templatename.'_category_transient_flusher\' );
add_action( \'save_post\',     \''.$templatename.'_category_transient_flusher\' );

if ( ! function_exists( \''.$templatename.'_post_thumbnail\' ) ) :
/**
 * Display an optional post thumbnail.
 *
 * Wraps the post thumbnail in an anchor element on index views, or a div
 * element when on single views.
 *
 * @since Twenty Fifteen 1.0
 */
function '.$templatename.'_post_thumbnail() {
	if ( post_password_required() || is_attachment() || ! has_post_thumbnail() ) {
		return;
	}

	if ( is_singular() ) :
	?>

	<div class="post-thumbnail">
		<?php the_post_thumbnail(); ?>
	</div><!-- .post-thumbnail -->

	<?php else : ?>

	<a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
		<?php
			the_post_thumbnail( \'post-thumbnail\', array( \'alt\' => get_the_title() ) );
		?>
	</a>

	<?php endif; // End is_singular()
}
endif;

if ( ! function_exists( \''.$templatename.'_get_link_url\' ) ) :
/**
 * Return the post URL.
 *
 * Falls back to the post permalink if no URL is found in the post.
 *
 *
 * @see get_url_in_content()
 *
 * @return string The Link format URL.
 */
function '.$templatename.'_get_link_url() {
	$has_url = get_url_in_content( get_the_content() );

	return $has_url ? $has_url : apply_filters( \'the_permalink\', get_permalink() );
}
endif;

if ( ! function_exists( \''.$templatename.'_excerpt_more\' ) && ! is_admin() ) :
/**
 * Replaces "[...]" (appended to automatically generated excerpts) with ... and a \'Continue reading\' link.
 *
 *
 * @return string \'Continue reading\' link prepended with an ellipsis.
 */
function '.$templatename.'_excerpt_more( $more ) {
	$link = sprintf( \'<a href="%1$s" class="more-link">%2$s</a>\',
		esc_url( get_permalink( get_the_ID() ) ),
		/* translators: %s: Name of current post */
		sprintf( __( \'Continue reading %s\', \''.$templatename.'\' ), \'<span class="screen-reader-text">\' . get_the_title( get_the_ID() ) . \'</span>\' )
		);
	return \' &hellip; \' . $link;
}
add_filter( \'excerpt_more\', \''.$templatename.'_excerpt_more\' );
endif;

if ( ! function_exists( \''.$templatename.'_the_custom_logo\' ) ) :
/**
 * Displays the optional custom logo.
 *
 * Does nothing if the custom logo is not available.
 *
 */
function '.$templatename.'_the_custom_logo() {
	if ( function_exists( \'the_custom_logo\' ) ) {
		the_custom_logo();
	}
}
endif;

';

// create the template-tags.php file required by wp
if (!TCK_File::write($path . '/inc/template-tags.php', $tagstext)) {
	$msg = '<p class="error">' . TCK_Text::_('CK_ERROR_CREATING_FILE') . ' /inc/template-tags.php</p>';
} else {
	$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_FILE') . ' /inc/template-tags.php</p>';
}
$messages[] = $msg;


/*--------------------------------
 * --	ZIP STEP				--
 * -----------------------------*/

if ($action == 'package') {
	$files = TCK_Folder::files($path, false, true, true);
	$exporter = new ZipArchiver();
	$isSuccess = $exporter->create($files, TEMPLATECREATORCK_PROJECTS_PATH . '/' . $templatename . '.zip', $path, true);

	// return message after creating the zip archive
	if (!$isSuccess && $exporter->getError()) {
		$msg = '<p class="errorck">' . TCK_Text::_('CK_ERROR_CREATING_ARCHIVE') . '</p>';
	} else {
		$msg = '<p class="successck">' . TCK_Text::_('CK_SUCCESS_CREATING_ARCHIVE') . '</p>';
	}

	$messages[] = $msg;

	// create button to download the package
	echo '<p style="padding: 15px;"><a class="ckbutton ckbutton-inverse" target="_blank" href="' . TEMPLATECREATORCK_URI . '/projects/' . $templatename . '.zip">' . TCK_Text::_('CK_DOWNLOAD_TEMPLATE') . '</a></p>';
	echo implode($messages);
	echo implode($ckcreatesteps);
//	echo '<p style="padding: 15px;"><a class="ckbutton ckbutton-inverse" href="' . JURI::root() . 'components/com_templateck/projects/' . $templatename . '.zip">' . TCK_Text::_('CK_DOWNLOAD_TEMPLATE') . '</a></p>';

	} else {

/*--------------------------------
 * --	UPDATE STEP				--
 * -----------------------------*/
	if (TEMPLATECREATORCK_PLATFORM == 'joomla') {
		// show all messages
		echo '<p styles="padding:15px"><a class="ckbutton ckbutton-inverse" href="' . TEMPLATECREATORCK_URI_ROOT . '" target="_blank">' . TCK_Text::_('CK_VIEW_WEBSITE') . '</a></p>';
		echo '<p class="badgeck successck" style="">' . TCK_Text::_('CK_SUCCESS_CREATING_TEMPLATECOPY') . '</p>';
		echo implode($messages);
		echo implode($ckcreatesteps);
		echo '<p styles="padding:15px"><a class="ckbutton ckbutton-inverse" href="' . TEMPLATECREATORCK_URI_ROOT . '" target="_blank">' . TCK_Text::_('CK_VIEW_WEBSITE') . '</a></p>';
	} else {
//		$nonce_preview = wp_create_nonce( 'preview-customize_' . $templatename ); // à utiliser dans url

		// preview and customize
		$url_preview = admin_url() . 'customize.php?theme=' . $templatename;

		echo '<p styles="padding:15px"><a class="ckbutton ckbutton-inverse" href="' . $url_preview . '" target="_blank">' . TCK_Text::_('CK_PREVIEW_TEMPLATE') . '</a></p>';
		echo '<p class="badgeck successck" style="">' . TCK_Text::_('CK_SUCCESS_CREATING_TEMPLATECOPY') . '</p>';
		echo implode($messages);
		echo implode($ckcreatesteps);
		echo '<p styles="padding:15px"><a class="ckbutton ckbutton-inverse" href="' . $url_preview . '" target="_blank">' . TCK_Text::_('CK_PREVIEW_TEMPLATE') . '</a></p>';
	}
}
