<?php
/**
 * @name		Template Creator CK
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('TCK_LOADED') or die('Restricted access');
$expertmode = $this->input->get('expertmode', false);
$joomlaversion = $this->input->get('joomlaversion', false);
?>
<div class="ckleftpanelheader">
	<span class="ckleftpaneltitle"><?php echo TCK_Text::_('CK_PARAMS_EDIT'); ?></span>
	<span class="ckleftpanelheadericon ckclose ckhastip" title="<?php echo TCK_Text::_('CK_SAVE_CLOSE'); ?>" onclick="ckRenderCss('body');ckCloseEdition();">×</span>
	<span class="ckleftpanelheadericon cksave ckhastip" title="<?php echo TCK_Text::_('CK_APPLY'); ?>" onclick="ckRenderCss('body');"><span class="fa fa-check"></span></span>
</div>
<div id="ckelementscontainer">
	<div class="ckinterfacesliderlinks">
		<div class="ckinterfacesliderlink" tab="tab_blocstyles"><?php echo TCK_Text::_('CK_PAGE'); ?></div>
		<div class="ckinterfacesliderlink" tab="tab_titlestyles"><?php echo TCK_Text::_('CK_TITLES'); ?></div>
		<div class="ckinterfacesliderlink" tab="tab_buttonstyles"><?php echo TCK_Text::_('CK_BUTTONS_AND_FORMS'); ?></div>
		<div class="ckinterfacesliderlink" tab="tab_contentstyles"><?php echo TCK_Text::_('CK_CONTENT'); ?></div>
		<div class="ckinterfacesliderlink" tab="tab_tablestyles"><?php echo TCK_Text::_('CK_TABLE'); ?></div>
		<div class="ckinterfacesliderlink" tab="tab_systemimagesstyles"><?php echo TCK_Text::_('CK_SYSTEMIMAGES'); ?></div>
		<?php if (TEMPLATECREATORCK_PLATFORM == 'joomla') { ?>
		<div class="ckinterfacesliderlink" tab="tab_customimages"><?php echo TCK_Text::_('CK_CUSTOMIMAGES'); ?></div>
		<?php } ?>
		<div class="ckinterfacesliderlinkfake" tab="tab_customcode" onclick="ckLoadTab_customcode();"><?php echo TCK_Text::_('CK_CUSTOMCODE'); ?></div>
		<div class="ckinterfacesliderlinkfake" tab="tab_customcss" onclick="ckLoadTab_customcss();"><?php echo TCK_Text::_('CK_CUSTOMCSS'); ?></div>
		<?php if (TEMPLATECREATORCK_PLATFORM == 'wordpress') { ?>
		<div class="ckinterfacesliderlinkfake" tab="tab_customjs" onmousedown="ckLoadTab_customjs();"><?php echo TCK_Text::_('CK_CUSTOMJS'); ?></div>
		<div class="ckinterfacesliderlinkfake" tab="tab_customfunctions" onmousedown="ckLoadTab_customfunctions();"><?php echo TCK_Text::_('CK_CUSTOMFUNCTIONS'); ?></div>
		<?php } ?>
	</div>
    <div class="ckclr"></div>
    <div id="elementscontent" class="ckinterfaceslidercontent">
		<div class="ckinterfacesliderback"><?php echo TCK_Text::_('CK_BACK'); ?></div>
        <div class="ckinterfaceslider ckproperty" id="tab_blocstyles">
			<div class="ckinterfaceslidertitle"><?php echo TCK_Text::_('CK_PAGE') ?></div>
			<?php echo $this->interface->createBlocStyles('bloc', 'body', $expert = false, $showlinks = true, $joomlaversion); ?>
			<div class="ckinterfaceblocktitle"><?php echo TCK_Text::_('CK_VIDEO_BACKGROUND') ?></div>
			<div class="ckinterfaceblockaccordion">
				<div class="ckproperty" id="tab_videobgstyles"><?php echo $this->interface->createVideobgStyles('bloc'); ?></div>
			</div>
            <div class="ckclr"></div>
        </div>
        <div class="ckinterfaceslider ckproperty" id="tab_titlestyles">
            <div class="ckinterfaceslidertitle"><?php echo TCK_Text::_('CK_TITLES') ?></div>
						<div class="ckinterfacetablink" tab="tab_titleh1styles"><?php echo TCK_Text::_('CK_H1'); ?></div>
						<div class="ckinterfacetab" id="tab_titleh1styles">
							<?php echo $this->interface->createNormalStyles('h1title'); ?>
						</div>
            <div class="ckinterfacetablink" tab="tab_titleh2styles"><?php echo TCK_Text::_('CK_H2'); ?></div>
						<div class="ckinterfacetab" id="tab_titleh2styles">
							<?php echo $this->interface->createNormalStyles('h2title'); ?>
						</div>
            <div class="ckinterfacetablink" tab="tab_titleh3styles"><?php echo TCK_Text::_('CK_H3'); ?></div>
						<div class="ckinterfacetab" id="tab_titleh3styles">
							<?php echo $this->interface->createNormalStyles('h3title'); ?>
						</div>
            <div class="ckinterfacetablink" tab="tab_titleh4styles"><?php echo TCK_Text::_('CK_H4'); ?></div>
						<div class="ckinterfacetab" id="tab_titleh4styles">
							<?php echo $this->interface->createNormalStyles('h4title'); ?>
						</div>
            <div class="ckinterfacetablink" tab="tab_titleh5styles"><?php echo TCK_Text::_('CK_H5'); ?></div>
						<div class="ckinterfacetab" id="tab_titleh5styles">
							<?php echo $this->interface->createNormalStyles('h5title'); ?>
						</div>
            <div class="ckinterfacetablink" tab="tab_titleh6styles"><?php echo TCK_Text::_('CK_H6'); ?></div>
						<div class="ckinterfacetab" id="tab_titleh6styles">
							<?php echo $this->interface->createNormalStyles('h6title'); ?>
						</div>
					</td>
				</tr>
            </table>
            <div class="ckclr"></div>
        </div>
        <div class="ckinterfaceslider ckproperty" id="tab_buttonstyles">
			<div class="ckinterfaceslidertitle"><?php echo TCK_Text::_('CK_BUTTONS_AND_FORMS') ?></div>
			<div class="ckinterfacetablink" tab="tab_readmorebuttonnormalstyles"><?php echo TCK_Text::_('CK_READMORE'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></div></div>
			<div class="ckinterfacetab" id="tab_readmorebuttonnormalstyles">
				<div class=""><?php echo $this->interface->createNormalStyles('readmorebutton', false); ?></div>
			</div>
			<div class="ckinterfacetablink" tab="tab_readmorebuttonhoverstyles"><?php echo TCK_Text::_('CK_READMORE'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_HOVERSTATE'); ?></div></div>
			<div class="ckinterfacetab" id="tab_readmorebuttonhoverstyles">
								<div class=""><?php echo $this->interface->createNormalStyles('readmorebuttonhover', false); ?></div>
							</div>
			<div class="ckinterfacetablink" tab="tab_pagenavbuttonnormalstyles"><?php echo TCK_Text::_('CK_PAGENAV'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></div></div>
			<div class="ckinterfacetab" id="tab_pagenavbuttonnormalstyles">
								<div class=""><?php echo $this->interface->createNormalStyles('pagenavbutton', false); ?></div>
							</div>
			<div class="ckinterfacetablink" tab="tab_pagenavbuttonhoverstyles"><?php echo TCK_Text::_('CK_PAGENAV'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_HOVERSTATE'); ?></div></div>
			<div class="ckinterfacetab" id="tab_pagenavbuttonhoverstyles">
								<div class=""><?php echo $this->interface->createNormalStyles('pagenavbuttonhover', false); ?></div>
							</div>
			<div class="ckinterfacetablink" tab="tab_buttonbuttonnormalstyles"><?php echo TCK_Text::_('CK_BUTTON'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></div></div>
			<div class="ckinterfacetab" id="tab_buttonbuttonnormalstyles">
								<div class=""><?php echo $this->interface->createNormalStyles('buttonbutton', false); ?></div>
							</div>
			<div class="ckinterfacetablink" tab="tab_buttonbuttonhoverstyles"><?php echo TCK_Text::_('CK_BUTTON'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_HOVERSTATE'); ?></div></div>
			<div class="ckinterfacetab" id="tab_buttonbuttonhoverstyles">
								<div class=""><?php echo $this->interface->createNormalStyles('buttonbuttonhover', false); ?></div>
							</div>
			<div class="ckinterfacetablink" tab="tab_inputfieldbuttonnormalstyles"><?php echo TCK_Text::_('CK_INPUTFIELD'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></div></div>
			<div class="ckinterfacetab" id="tab_inputfieldbuttonnormalstyles">
								<div class=""><?php echo $this->interface->createNormalStyles('inputfieldbutton', false); ?></div>
							</div>
			<div class="ckinterfacetablink" tab="tab_inputfieldbuttonactivestyles"><?php echo TCK_Text::_('CK_INPUTFIELD'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_FOCUSSTATE'); ?></div></div>
			<div class="ckinterfacetab" id="tab_inputfieldbuttonactivestyles">
				<div class=""><?php echo $this->interface->createNormalStyles('inputfieldbuttonactive', false); ?></div>
			</div>
			<div class="ckclr"></div>
		</div>
		<div class="ckinterfaceslider ckproperty" id="tab_contentstyles">
			<div class="ckinterfaceslidertitle"><?php echo TCK_Text::_('CK_CONTENT') ?></div>
			<div class="ckinterfacetablink" tab="tab_bulletstyles"><?php echo TCK_Text::_('CK_BULLET_LIST'); ?></div>
			<div class="ckinterfacetab" id="tab_bulletstyles">
				<div class=""><?php echo $this->interface->createBullet('bulletlist'); ?></div>
				<div class="ckclr"></div>
			</div>
			<?php if (TEMPLATECREATORCK_PLATFORM == 'joomla') { ?>
				<div class="ckinterfacetablink" tab="tab_articledetailsstyles"><?php echo TCK_Text::_('CK_ARTICLE_DETAILS'); ?></div>
				<div class="ckinterfacetab" id="tab_articledetailsstyles">
					<div class=""><?php echo $this->interface->createBlocStyles('articledetails'); ?></div>
				</div>
			<?php } ?>
            <div class="ckclr"></div>
        </div>
		<div class="ckinterfaceslider ckproperty" id="tab_tablestyles">
			<div class="ckinterfaceslidertitle"><?php echo TCK_Text::_('CK_TABLE') ?></div>
			<div class="ckinterfaceblock">
				<div class="ckoption">
					<?php $this->interface->createLabel('CK_TABLE_STYLE', 'palette.png') ?>
					<span class="ckoption-field">
						<select class="inputbox" name="tablestyle" id="tablestyle" >
								<option value="none"><?php echo TCK_Text::_('CK_TABLE_NONE'); ?></option>
								<option value="standard"><?php echo TCK_Text::_('CK_TABLE_SIMPLE'); ?></option>
								<option value="bordered"><?php echo TCK_Text::_('CK_TABLE_BORDERED'); ?></option>
							</select>
					</span>
						</div>
				<div class="ckoption">
					<?php $this->interface->createLabel('CK_TABLE_OPTIONS', 'page_white_wrench.png') ?>
					<span class="ckoption-field">
						<select class="inputbox" name="tableoptions" id="tableoptions" >
								<option value="none"><?php echo TCK_Text::_('CK_TABLE_NONE'); ?></option>
								<option value="striped"><?php echo TCK_Text::_('CK_TABLE_STRIPED'); ?></option>
								<option value="hover"><?php echo TCK_Text::_('CK_TABLE_HOVER'); ?></option>
								<option value="stripedhover"><?php echo TCK_Text::_('CK_TABLE_STRIPEDHOVER'); ?></option>
							</select>
					</span>
						</div>
						<div class="ckoption">
					<?php $this->interface->createLabel('CK_TABLEBORDER_STYLE', 'color.png') ?>
					<span class="ckoption-field">
						<input class="inputbox colorPicker" type="text" placeholder="#dddddd" name="tableborderscolor" id="tableborderscolor" />
						<div>
							<input class="inputbox" style="width:20px;" name="tableborderssize" id="tableborderssize" type="text" placeholder="1"/>
							<select class="inputbox" style="width:78px;height:22px;" name="tablebordersstyle" id="tablebordersstyle" >
								<option value="solid">solid</option>
								<option value="dotted">dotted</option>
								<option value="dashed">dashed</option>
							</select>
						</div>
					</span>
				</div>
				<div class="ckoption">
					<?php $this->interface->createLabel('CK_TABLEBORDERRADIUS', 'border_radius_tr.png') ?>
					<span class="ckoption-field">
						<input class="inputbox" name="tableborderradius" id="tableborderradius" type="text" placeholder="4"/>
					</span>
				</div>
				<div class="ckoption">
					<?php $this->interface->createLabel('CK_TABLESTRIPED_STYLE', 'color.png') ?>
					<span class="ckoption-field">
						<input class="inputbox colorPicker" type="text" value="#f9f9f9" name="tablestripedcolor" id="tablestripedcolor" />
					</span>
				</div>
				<div class="ckoption">
					<?php $this->interface->createLabel('CK_TABLEHOVER_STYLE', 'color.png') ?>
					<span class="ckoption-field">
						<input class="inputbox colorPicker" type="text" value="#f5f5f5" name="tablehovercolor" id="tablehovercolor" />
					</span>
				</div>
			</div>
						<p></p>
						<div style="clear:both;">
							<?php echo $this->interface->createBackground('table'); ?>
							<?php echo $this->interface->createText('table'); ?>
							<?php echo $this->interface->createDimensions('table', $useheight = false, $usewidth = false, $expert = false, $iswrapper = false, $usemargins = false); ?>
							<?php echo $this->interface->createShadow('table'); ?>
				<br />
						<div style="clear:both;">
							<div class="menupanetitle"><?php echo TCK_Text::_('CK_TABLE_EXAMPLES'); ?></div>
							<div class="menupaneblock" style="margin:5px;">
								<div style="color: #3399FF;font-size: 14px;font-weight: bold;text-transform: uppercase;"><?php echo TCK_Text::_('CK_TABLE_NONE'); ?></div>
						<img src="<?php echo TEMPLATECREATORCK_MEDIA_URI ?>/images/table_none.png" width="270" height="85" style="border: 1px solid #3399FF;padding:5px;" />
							</div>
							<div class="menupaneblock" style="margin:5px;">
								<div style="color: #3399FF;font-size: 14px;font-weight: bold;text-transform: uppercase;"><?php echo TCK_Text::_('CK_TABLE_SIMPLE'); ?></div>
						<img src="<?php echo TEMPLATECREATORCK_MEDIA_URI ?>/images/table_simple.png" width="270" height="85" style="border: 1px solid #3399FF;padding:5px;" />
							</div>
							<div class="menupaneblock" style="margin:5px;">
								<div style="color: #3399FF;font-size: 14px;font-weight: bold;text-transform: uppercase;"><?php echo TCK_Text::_('CK_TABLE_BORDERED'); ?></div>
						<img src="<?php echo TEMPLATECREATORCK_MEDIA_URI ?>/images/table_bordered.png" width="270" height="85" style="border: 1px solid #3399FF;padding:5px;" />
							</div>
							<div class="menupaneblock" style="margin:5px;">
								<div style="color: #3399FF;font-size: 14px;font-weight: bold;text-transform: uppercase;"><?php echo TCK_Text::_('CK_TABLE_STRIPED'); ?></div>
						<img src="<?php echo TEMPLATECREATORCK_MEDIA_URI ?>/images/table_striped.png" width="270" height="85" style="border: 1px solid #3399FF;padding:5px;" />
							</div>
						</div>
        </div>
		</div>
        <div class="ckinterfaceslider ckproperty" id="tab_systemimagesstyles">
			<div class="ckinterfaceslidertitle"><?php echo TCK_Text::_('CK_SYSTEMIMAGES') ?></div>
			<?php if (TEMPLATECREATORCK_PLATFORM == 'joomla') { ?>
			<div class="ckoption">
				<div><?php echo TCK_Text::_('CK_EMAIL_IMAGE'); ?></div>
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="emailsystemimageurl" id="emailsystemimageurl" /><a class="ckbuttonstyle" href="javascript:void(0)" onclick="ckShowMediaManager('emailsystemimageurl');" >+</a>
			</div>
			<div class="ckoption">
				<div><?php echo TCK_Text::_('CK_PRINT_IMAGE'); ?></div>
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="printsystemimageurl" id="printsystemimageurl" /><a class="ckbuttonstyle" href="javascript:void(0)" onclick="ckShowMediaManager('printsystemimageurl');" >+</a>
			</div>
			<div class="ckoption">
				<div><?php echo TCK_Text::_('CK_EDIT_IMAGE'); ?></div>
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="editsystemimageurl" id="editsystemimageurl" /><a class="ckbuttonstyle" href="javascript:void(0)" onclick="ckShowMediaManager('editsystemimageurl');" >+</a>
			</div>
			<div class="ckoption">
				<div><?php echo TCK_Text::_('CK_ARROW_IMAGE'); ?></div>
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="arrowsystemimageurl" id="arrowsystemimageurl" /><a class="ckbuttonstyle" href="javascript:void(0)" onclick="ckShowMediaManager('arrowsystemimageurl');" >+</a>
			</div>
			<?php } ?>
			<div class="ckoption">
				<div><?php echo TCK_Text::_('CK_FAVICON_IMAGE'); ?></div>
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="faviconsystemimageurl" id="faviconsystemimageurl" /><a class="ckbuttonstyle" href="javascript:void(0)" onclick="ckShowMediaManager('faviconsystemimageurl');" >+</a>
			</div>
			<?php if (TEMPLATECREATORCK_PLATFORM == 'joomla') { ?>
			<div class="ckoption">
			<div><?php echo TCK_Text::_('CK_THUMB_IMAGE'); ?></div>
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="template_thumbnailsystemimageurl" id="template_thumbnailsystemimageurl" /><a class="ckbuttonstyle" href="javascript:void(0)" onclick="ckShowMediaManager('template_thumbnailsystemimageurl');" >+</a>
			</div>
			<?php } ?>
			<div class="ckoption">
				<div><?php echo TCK_Text::_('CK_PREVIEW_IMAGE'); ?></div>
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="template_previewsystemimageurl" id="template_previewsystemimageurl" /><a class="ckbuttonstyle" href="javascript:void(0)" onclick="ckShowMediaManager('template_previewsystemimageurl');" >+</a>
			</div>
        </div>
		<?php if (TEMPLATECREATORCK_PLATFORM == 'joomla') { ?>
		<div class="ckinterfaceslider ckproperty" id="tab_customimages">
			<div class="ckinterfaceslidertitle"><?php echo TCK_Text::_('CK_CUSTOMIMAGES') ?></div>
			<div class="ckoption">
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="customimage1" id="customimage1" /><a class="modal ckbuttonstyle" href="<?php echo TEMPLATECREATORCK_PLUGIN_URL ?>&view=browse&tmpl=component&field=customimage1" rel="{handler: 'iframe'}" >+</a>
			</div>
			<div class="ckoption">
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="customimage2" id="customimage2" /><a class="modal ckbuttonstyle" href="<?php echo TEMPLATECREATORCK_PLUGIN_URL ?>&view=browse&tmpl=component&field=customimage2" rel="{handler: 'iframe'}" >+</a>
			</div>
			<div class="ckoption">
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="customimage3" id="customimage3" /><a class="modal ckbuttonstyle" href="<?php echo TEMPLATECREATORCK_PLUGIN_URL ?>&view=browse&tmpl=component&field=customimage3" rel="{handler: 'iframe'}" >+</a>
			</div>
			<div class="ckoption">
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="customimage5" id="customimage5" /><a class="modal ckbuttonstyle" href="<?php echo TEMPLATECREATORCK_PLUGIN_URL ?>&view=browse&tmpl=component&field=customimage5" rel="{handler: 'iframe'}" >+</a>
			</div>
			<div class="ckoption">
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="customimage6" id="customimage6" /><a class="modal ckbuttonstyle" href="<?php echo TEMPLATECREATORCK_PLUGIN_URL ?>&view=browse&tmpl=component&field=customimage6" rel="{handler: 'iframe'}" >+</a>
			</div>
			<div class="ckoption">
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="customimage7" id="customimage7" /><a class="modal ckbuttonstyle" href="<?php echo TEMPLATECREATORCK_PLUGIN_URL ?>&view=browse&tmpl=component&field=customimage7" rel="{handler: 'iframe'}" >+</a>
			</div>
			<div class="ckoption">
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="customimage8" id="customimage8" /><a class="modal ckbuttonstyle" href="<?php echo TEMPLATECREATORCK_PLUGIN_URL ?>&view=browse&tmpl=component&field=customimage8" rel="{handler: 'iframe'}" >+</a>
			</div>
			<div class="ckoption">
				<input style="width: 240px;height: 18px;vertical-align: baseline;" class="inputbox" type="text" value="" name="customimage9" id="customimage9" /><a class="modal ckbuttonstyle" href="<?php echo TEMPLATECREATORCK_PLUGIN_URL ?>&view=browse&tmpl=component&field=customimage9" rel="{handler: 'iframe'}" >+</a>
			</div>
		</div>
		<?php } ?>
	</div>
</div>
<script language="javascript" type="text/javascript">
	ckInitColorPickers();
	ckInitModalPopup();
	ckInitOptionsAccordions();
	ckInitOptionsSliders();
	ckInitOptionsTabs();
</script>