<?php
/**
 * @name		Template Creator CK
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('TCK_LOADED') or die('Restricted access');
$input = new TCK_Input();
$templateid = $input->get('templateid', '', 'int'); 
$templatename = $input->get('templatename', '', 'string');
$path = get_theme_root() . '/' . $templatename;

$customjs = '';
// test if a custom css exists
if (TCK_File::exists($path . '/js/custom.js')) {
	$customjs = TCK_File::read($path . '/js/custom.js');
} else {
//	echo TCK_Text::_('CK_NO_CUSTOMJS_FILE_FOUND');
}
?>
<script>
var editor_customjs = CodeMirror.fromTextArea(document.getElementById("customjs"), {
	mode: "js",
//	styleActiveLine: true,
	lineNumbers: true,
//	lineWrapping: true
});
</script>
<div class="cktitle"><?php echo TCK_Text::_('CK_PAGECUSTOMJS_INFOS'); ?></div>
<div class="ckinterfacedesc"><?php echo TCK_Text::_('CK_PAGECUSTOMJS_DESC'); ?></div>
<textarea id="customjs" cols="50" rows="20" style="color: #777;"><?php echo $customjs; ?></textarea>
