<?php
/**
 * @name		Template Creator CK
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('TCK_LOADED') or die('Restricted access');
$objclass = $this->input->get('objclass', '');
?>

<div id="menustylescontent">
	<div class="ckinterfacetablink" tab="tab_firstlevellink"><?php echo TCK_Text::_('CK_FIRST_LEVEL_MENULINK'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_FIRST_LEVEL'); ?></div></div>
	<div class="ckinterfacetab ckproperty" id="tab_firstlevellink">
		<?php echo $this->interface->createBlocStyles('level0item', $objclass, false, false); ?>
	</div>
	<div class="ckinterfacetablink" tab="tab_firstlevellinkhover"><?php echo TCK_Text::_('CK_FIRST_LEVEL_MENULINK_HOVER'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_FIRST_LEVEL'); ?></div></div>
	<div class="ckinterfacetab ckproperty" id="tab_firstlevellinkhover">
		<?php echo $this->interface->createBlocStyles('level0itemhover', $objclass, false, false); ?>
	</div>
	<div class="ckinterfacetablink" tab="tab_firstlevellinkactive"><?php echo TCK_Text::_('CK_FIRST_LEVEL_MENULINK_ACTIVE'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_FIRST_LEVEL'); ?></div></div>
	<div class="ckinterfacetab ckproperty" id="tab_firstlevellinkactive">
		<?php echo $this->interface->createBlocStyles('level0itemactive', $objclass, false, false); ?>
	</div>
	<div class="ckinterfacetablink" tab="tab_secondlevelcontainer"><?php echo TCK_Text::_('CK_FIRST_SUBLEVEL_CONTAINER'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_FIRST_SUBLEVEL'); ?></div></div>
	<div class="ckinterfacetab ckproperty" id="tab_secondlevelcontainer">
		<?php echo $this->interface->createBlocStyles('level1bg', $objclass); ?>
	</div>
	<div class="ckinterfacetablink" tab="tab_secondlevellink"><?php echo TCK_Text::_('CK_FIRST_SUBLEVEL_MENULINK'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_FIRST_SUBLEVEL'); ?></div></div>
	<div class="ckinterfacetab ckproperty" id="tab_secondlevellink">
		<?php echo $this->interface->createBlocStyles('level1item', $objclass, false, false); ?>
	</div>
	<div class="ckinterfacetablink" tab="tab_secondlevellinkhover"><?php echo TCK_Text::_('CK_FIRST_SUBLEVEL_MENULINK_HOVER'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_FIRST_SUBLEVEL'); ?></div></div>
	<div class="ckinterfacetab ckproperty" id="tab_secondlevellinkhover">
		<?php echo $this->interface->createBlocStyles('level1itemhover', $objclass, false, false); ?>
	</div>
	<div class="ckinterfacetablink" tab="tab_secondlevellinkactive"><?php echo TCK_Text::_('CK_FIRST_SBULEVEL_MENULINK_ACTIVE'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_FIRST_SUBLEVEL'); ?></div></div>
	<div class="ckinterfacetab ckproperty" id="tab_secondlevellinkactive">
		<?php echo $this->interface->createBlocStyles('level1itemactive', $objclass, false, false); ?>
	</div>
	<div class="ckinterfacetablink" tab="tab_thirdlevelcontainer"><?php echo TCK_Text::_('CK_SECOND_SUBLEVEL_CONTAINER'); ?> <div class="ckinterfacetablinkdesc"><?php echo TCK_Text::_('CK_SECOND_SUBLEVEL'); ?></div></div>
	<div class="ckinterfacetab ckproperty" id="tab_thirdlevelcontainer">
		<?php echo $this->interface->createBlocStyles('level2bg', $objclass); ?>
	</div>
</div>

<script language="javascript" type="text/javascript">
//	$ck('#menustylescontent div.tabmenu:not(.current)').hide();
//	$ck('.ckinterfacetablink', $ck('#ckelementscontainer')).each(function(i, tab) {
//		$ck(tab).click(function() {
//			$ck('#menustylescontent div.tabmenu').hide();
//			$ck('.ckinterfacetablink', $ck('#ckelementscontainer')).removeClass('current');
//			if ($ck('#' + $ck(tab).attr('tab')).length)
//				$ck('#' + $ck(tab).attr('tab')).show();
//			$ck(this).addClass('current');
//		});
//	});
	ckInitOptionsTabs($ck('#tab_menustyles'));
	ckInitColorPickers();
	ckInitModalPopup();
	ckInitOptionsAccordions();
</script>