<?php
/**
 * @name		Template Creator CK
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('TCK_LOADED') or die('Restricted access');
?>
<link rel="stylesheet" href="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/admin.css" type="text/css" />
<link rel="stylesheet" href="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/ckframework.css" type="text/css" />
<div class="ckadminarea"><?php
// check for the update
$latest_version = TemplateckHelper::get_latest_version();
$is_outdated = TemplateckHelper::is_outdated();
if ($latest_version !== false) {
	if ($is_outdated) {
		echo '<p class="ckalert ckalert-warning">' . TCK_Text::_('CK_IS_OUTDATED') . ' : <b>' . $latest_version . '</b></p>';
	} else {
		echo '<p class="ckalert ckalert-success">' . TCK_Text::_('CK_IS_UPTODATE') . '</p>';
	}
} else {
	//echo '<p class="alertck">Impossible de lire le fichier de mise à jour sur http://www.template-creator.com</p>';
}
?>
<style>
	.aboutversion {
		margin: 10px;
		padding: 10px;
		font-size: 20px;
		font-color: #000;

	}
</style>
<div class="aboutversion"><?php echo TCK_Text::_('CK_TEMPLATECK_VERSION') . ' ' . $this->tckversion; ?></div>
<img src="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/images/logo_templateck.png" />
<?php echo TCK_Text::_('CK_TEMPLATECK_DESC'); ?>
<?php
$release_notes = TemplateckHelper::get_release_notes();
if ($release_notes !== false) {
	if (substr($release_notes, 0, 1) != '*') {
		echo '<p class="alertck">Unable to read the file tck_update, there is an error with the characters</p>';
	} else {
		$versions = explode('*', htmlspecialchars($release_notes));
		if ($is_outdated) {
			echo '<br /><p style="text-transform:uppercase;text-decoration: underline;">Release notes :</p><br />';
		}
		foreach ($versions as $v) {
			if (strlen($v) > 0) {
				$lines = explode("\n", $v);
				if (version_compare(trim($lines[0]), $this->tckversion) <= 0) {
					break;
				}
				echo '<h4>' . htmlspecialchars($lines[1]) . '</h4>';
				echo '<ul>';
				for ($i = 2; $i < count($lines); $i++) {
					if (strlen(trim($lines[$i])) > 0) {
						echo '<li>' . htmlspecialchars($lines[$i]) . '</li>';
					}
				}
				echo '</ul>';
			}
		}
	}
}
?>
</div>