<?php
/**
 * @name		Template Creator CK
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('TCK_LOADED') or die('Restricted access');

?>
<link rel="stylesheet" href="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/admin.css" />
<style>
	.tckhelp li {
		margin: 10px;
		padding: 5px;
		width: 350px;
		float: left;
		border: #e7e7e7 1px solid;
		border-radius: 4px;
		text-align: center;
		list-style: none;
		font-size: 13px;
	}

		.tckhelp li a {
		text-decoration: none;
	}

	.tckhelp li:hover {
		background: #f5f5f5;
	}

	.tckhelptitle {
		font-size: 14px;
		font-color: #000;
	}
</style>
<div class="ckadminarea">
	<h2><?php echo TCK_Text::_('CK_VIDEOS') ?></h2>
	<ul class="tckhelp">
		<li>
			<a href="http://www.youtube.com/embed/5N4lrTV1h4g" target="_blank"><?php echo TCK_Text::_('CK_HELP_VIDEO_OVERVIEW') ?></a>
		</li>
		<li>
			<a href="http://www.youtube.com/embed/f1h6kAqTSBU" target="_blank"><?php echo TCK_Text::_('CK_HELP_VIDEO_ADDINGCSS') ?></a>
		</li>
		<li>
			<a href="http://www.youtube.com/embed/RXNlVevvKHY" target="_blank"><?php echo TCK_Text::_('CK_HELP_VIDEO_ADDINGFONT') ?></a>
		</li>
		<li>
			<a href="http://www.youtube.com/embed/JSliHMaKAHs" target="_blank"><?php echo TCK_Text::_('CK_HELP_VIDEO_LOGOOPTIONS') ?></a>
		</li>
		<li>
			<a href="http://www.youtube.com/embed/gw8Ye6ewwag" target="_blank"><?php echo TCK_Text::_('CK_HELP_VIDEO_COLLAPSINGMARGINS') ?></a>
		</li>
		<li>
			<a href="http://www.youtube.com/embed/wsB_EPMgAI4" target="_blank"><?php echo TCK_Text::_('CK_HELP_VIDEO_ADDINGDROPDOWNMENU') ?></a>
		</li>
		<li>
			<a href="http://www.youtube.com/embed/2C-8-p4I19A" target="_blank"><?php echo TCK_Text::_('CK_HELP_VIDEO_FULLWIDTHWRAPPER') ?></a>
		</li>
	</ul>
	<div style="clear:both;"></div>
	<h2><?php echo TCK_Text::_('CK_ARTICLES') ?></h2>
	<ul class="tckhelp">
		<li>
			<a href="/fr/blog/41-create-a-sidebar-design">
				Create a sidebar design					</a>
		</li>

		<tr class="cat-list-row1">
		<li>
			<a href="/fr/blog/40-how-to-customize-your-404-error-page">
				How to customize your 404 error page					</a>
		</li>


		<li>
			<a href="/fr/blog/39-create-a-full-screen-header">
				Create a full screen header					</a>
		</li>

		<tr class="cat-list-row1">
		<li>
			<a href="/fr/blog/37-how-to-install-template-creator-ck-in-joomla">
				How to install Template Creator CK in Joomla!					</a>
		</li>


		<li>
			<a href="/fr/blog/26-how-to-create-a-one-page-scrolling-template">
				How to create a One page scrolling template					</a>
		</li>

		<tr class="cat-list-row1">
		<li>
			<a href="/fr/blog/23-how-to-add-the-google-analytics-code">
				How to add the Google Analytics code					</a>
		</li>


		<li>
			<a href="/fr/blog/22-how-to-hide-the-maincontent-on-specific-pages">
				How to hide the maincontent on specific pages					</a>
		</li>

		<tr class="cat-list-row1">
		<li>
			<a href="/fr/blog/21-use-a-color-palette-from-coloulovers-com-for-your-template">
				Use a color palette from ColouLovers.com for your template					</a>
		</li>


		<li>
			<a href="/fr/blog/20-set-the-responsive-design-for-your-joomla-template">
				Set the responsive design for your Joomla! template					</a>
		</li>

		<tr class="cat-list-row1">
		<li>
			<a href="/fr/blog/19-adding-your-own-font-in-your-joomla-template">
				Adding your own Font in your Joomla! template					</a>
		</li>


		<li>
			<a href="/fr/blog/18-quick-design-selection-design-suggestion">
				Quick design selection - Design suggestion					</a>
		</li>

		<tr class="cat-list-row1">
		<li>
			<a href="/fr/blog/17-how-to-create-a-joomla-template">
				How to create a Joomla! template					</a>
		</li>
	</ul>
</div>