<?php
/**
 * @name		Template Creator CK 3
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('ABSPATH') or die('Restricted access');

$input = new TCK_Input();
$menustyles = new MenuStyles();
$imagespath = TCK_Uri::base(true) . '/images/menustyles/';
$templatename = $input->get('templatename', '', 'string');
$path = get_theme_root() . '/' . $templatename;

if (file_exists($path . '/style.css')) {
	?>
	<link rel="stylesheet" href="<?php echo get_theme_root_uri() ?>/<?php echo $templatename ?>/style.css" type="text/css" />
	<?php
}
?>
<div class="ckpopupoverlay"></div>
<div class="ckpopupheader">
	<div class="ckpopuplogo"></div>
	<div class="ckpopuptitle"><?php echo TCK_Text::_('CK_LAYOUT_EDIT'); ?></div>
	<div style="float:right;">
		<div class="ckclose ckcancel" onclick="$ck('#popup_editionck').empty().hide();"><?php echo TCK_Text::_('CK_CANCEL'); ?></div>
		<div class="ckclose cksave" onclick="saveLayoutsPopup();"><?php echo TCK_Text::_('CK_VALIDATE'); ?></div>
	</div>
	<div class="clr"></div>
</div>
<div id="elementscontainer">
	<div id="elementscontent" class="ckproperty ">
    </div>
</div>

<script language="javascript" type="text/javascript">
			$ck('#elementscontent div.tab:not(.current)').hide();
			$ck('.menulink', $ck('#elementscontainer')).each(function(i, tab) {
				$ck(tab).click(function() {
					$ck('#elementscontent div.tab').hide();
					$ck('.menulink', $ck('#elementscontainer')).removeClass('current');
					if ($ck('#' + $ck(tab).attr('tab')).length)
						$ck('#' + $ck(tab).attr('tab')).show();
					$ck(this).addClass('current');
				});
			});

			$ck('#elementscontent div.tab2:not(.current)').hide();
			$ck('.menulink2', $ck('#elementscontainer')).each(function(i, tab) {
				$ck(tab).click(function() {
					$ck('#elementscontent div.tab2').hide();
					$ck('.menulink2', $ck('#elementscontainer')).removeClass('current');
					if ($ck('#' + $ck(tab).attr('tab')).length)
						$ck('#' + $ck(tab).attr('tab')).show();
					$ck(this).addClass('current');
				});
			});

			$ck('#elementscontent div.tab3:not(.current)').hide();
			$ck('.menulink3', $ck('#elementscontainer')).each(function(i, tab) {
				$ck(tab).click(function() {
					$ck('#elementscontent div.tab3').hide();
					$ck('.menulink3', $ck('#elementscontainer')).removeClass('current');
					if ($ck('#' + $ck(tab).attr('tab')).length)
						$ck('#' + $ck(tab).attr('tab')).show();
					$ck(this).addClass('current');
				});
			});

			initColorPickers();
			initModalPopup();
			initAccordionStyles();
</script>
<style type="text/css">
	#previewareabloc {background: none !important}
</style>