<?php
/**
 * @name		Template Creator CK 3
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('ABSPATH') or die('Restricted access');
$input = new TCK_Input();
$templateid = $input->get('templateid', '', 'int');
$templatename = $input->get('templatename', '', 'string');
$menustyles = new MenuStyles();
$path = get_theme_root() . '/' . $templatename;

if (file_exists($path . '/style.css')) {
	?>
	<link rel="stylesheet" href="<?php echo get_theme_root_uri() ?>/<?php echo $templatename ?>/style.css" type="text/css" />
	<?php
}
?>
	<link rel="stylesheet" href="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/style_comments.css" type="text/css" />
<div class="ckpopupoverlay"></div>
<div class="ckpopupheader">
	<div class="ckpopuplogo"></div>
	<div class="ckpopuptitle"><?php echo TCK_Text::_('CK_LAYOUT_EDIT'); ?> : <?php echo TCK_Text::_('CK_COMMENTS'); ?></div>
	<div style="float:right;">
		<div class="ckclose ckcancel" onclick="$ck('#popup_editionck').empty().hide();"><?php echo TCK_Text::_('CK_CANCEL'); ?></div>
		<div class="ckclose cksave" onclick="saveLayoutPopup('comments');"><?php echo TCK_Text::_('CK_VALIDATE'); ?></div>
	</div>
	<div class="clr"></div>
</div>
<div id="elementscontainer">
	<div id="elementscontent">
<table>
	<tr>
		<td style="vertical-align:top;">
			<div class="layoutoptions ckproperty" id="tab_comments">
				<div class="menulink2 current" tab="tab_commentsoptions"><?php echo TCK_Text::_('CK_OPTIONS'); ?></div>
				<div class="menulink2" tab="tab_commentsmain"><?php echo TCK_Text::_('CK_COMMENTS'); ?></div>
				<div class="menulink2" tab="tab_comment"><?php echo TCK_Text::_('CK_COMMENT'); ?></div>
				<div class="menulink2" tab="tab_commentstitle"><?php echo TCK_Text::_('CK_TITLE'); ?></div>
				<div class="menulink2" tab="tab_commentsavatar"><?php echo TCK_Text::_('CK_AVATAR'); ?></div>
				<div class="menulink2" tab="tab_commentsauthor"><?php echo TCK_Text::_('CK_AUTHOR'); ?></div>
				<div class="menulink2" tab="tab_commentsdate"><?php echo TCK_Text::_('CK_DATE'); ?></div>
				<div class="menulink2" tab="tab_commentseditlink"><?php echo TCK_Text::_('CK_EDIT_LINK'); ?></div>
				<div class="menulink2" tab="tab_commentstext"><?php echo TCK_Text::_('CK_TEXT'); ?></div>
				<div class="menulink2" tab="tab_commentsreplylink"><?php echo TCK_Text::_('CK_REPLY_LINK'); ?></div>
				<div class="menulink2" tab="tab_commentsloggedinas"><?php echo TCK_Text::_('CK_LOGGEDIN_AS'); ?></div>
				<div class="menulink2" tab="tab_commentscommentlabel"><?php echo TCK_Text::_('CK_COMMENT_LABEL'); ?></div>
				<div class="menulink2" tab="tab_commentscomment"><?php echo TCK_Text::_('CK_COMMENT'); ?></div>
				<div class="menulink2" tab="tab_commentssubmit"><?php echo TCK_Text::_('CK_SUBMIT'); ?></div>
				
				<div class="clr"></div>

				<div class="tab2 menustyles current" id="tab_commentsoptions">
					<div style="text-align:left;clear:both;">
						<div style="float:left;text-align:left;width:170px;margin:5px 5px 0 0px;"><?php echo TCK_Text::_('CK_AVATAR_SIZE'); ?></div>
						<div style="float:left;text-align:right;margin:5px 5px 0 0;"><img src="<?php echo $this->imagespath; ?>width.png" width="15" height="15" align="top" /></div><div style="float:left;"><input class="inputbox" type="text" name="commentsavatarsize" id="commentsavatarsize" size="2" value="" onchange="ckCommentsUpdateAvatar()" /></div>
						<div class="clr"></div>
					</div>
					<div style="text-align:left;clear:both;">
						<div style="float:left;text-align:left;width:170px;margin:5px 5px 0 0px;"><?php echo TCK_Text::_('CK_USE_ICONS'); ?></div>
						<div style="float:left;text-align:right;margin:5px 5px 0 0;"><img src="<?php echo $this->imagespath; ?>application_parts.png" width="15" height="15" align="top" /></div>
						<div style="float:left;text-align:right;">
							<select class="inputbox" type="list" name="commentsicons" id="commentsicons" value="" style="width:105px;" onchange="ckCommentsToggleIcons()" >
								<option value="1"><?php echo TCK_Text::_('CK_YES'); ?></option>
								<option value="0"><?php echo TCK_Text::_('CK_NO'); ?></option>
							</select>
						</div>
						<div class="clr"></div>
					</div>
					<div style="text-align:left;clear:both;">
						<div style="float:left;text-align:left;width:170px;margin:5px 5px 0 0px;"><?php echo TCK_Text::_('CK_STYLE'); ?></div>
						<div style="float:left;text-align:right;margin:5px 5px 0 0;">
							<input type="radio" class="inputbox" id="commentsstyledefault" name="commentsstyle" value="default" style="display:none;" onchange="ckCommentsUpdateStyle()"/>
							<label for="commentsstyledefault" class="radioimgoption" style="background-image:url('<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/images/layout_comments_default.png')"></label>
							<input type="radio" class="inputbox" id="commentsstyle1" name="commentsstyle" value="style1" style="display:none;" onchange="ckCommentsUpdateStyle()"/>
							<label for="commentsstyle1" class="radioimgoption" style="background-image:url('<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/images/layout_comments_style1.png')"></label>
							<input type="radio" class="inputbox" id="commentsstyle2" name="commentsstyle" value="style2" style="display:none;" onchange="ckCommentsUpdateStyle()"/>
							<label for="commentsstyle2" class="radioimgoption" style="background-image:url('<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/images/layout_comments_style2.png')"></label>
							<input type="radio" class="inputbox" id="commentsstyle3" name="commentsstyle" value="style3" style="display:none;" onchange="ckCommentsUpdateStyle()"/>
							<label for="commentsstyle3" class="radioimgoption" style="background-image:url('<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/images/layout_comments_style3.png')"></label>
							
						</div>
						<div class="clr"></div>
					</div>
				</div>
				<div class="tab2 menustyles menustylescustom" id="tab_commentsmain" data-prefix="comments" data-rule=".comments-area">
					<?php echo $menustyles->createBlocStyles('comments'); ?>
				</div>
				<div class="tab2 menustyles menustylescustom" id="tab_comment" data-prefix="comment" data-rule=".comment-list .comment">
					<?php echo $menustyles->createBlocStyles('comment', '', false, false); ?>
				</div>
				<div class="tab2 menustyles menustylescustom" id="tab_commentstitle" data-prefix="commentstitle" data-rule=".comments-title">
					<?php echo $menustyles->createBlocStyles('commentstitle', '', false, false); ?>
				</div>
				<div class="tab2 menustyles menustylescustom" id="tab_commentsavatar" data-prefix="commentsavatar" data-rule=".comment-author .avatar">
					<?php echo $menustyles->createBlocStyles('commentsavatar', '', false, false); ?>
				</div>
				<div class="tab2 menustyles" id="tab_commentsauthor">
					<div class="menulink3 menustylescustom" data-prefix="commentsauthornormal" data-rule=".comment-author .fn a" tab="tab_commentsauthornormal"><?php echo TCK_Text::_('CK_AUTHOR'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></div></div>
					<div class="menulink3 menustylescustom" data-prefix="commentsauthorhover" data-rule=".comment-author .fn a:hover" tab="tab_commentsauthorhover"><?php echo TCK_Text::_('CK_AUTHOR'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_HOVERSTATE'); ?></div></div>
					<div class="clr"></div>
					<div class="tab3 menustyles current" id="tab_commentsauthornormal">
						<?php echo $menustyles->createBlocStyles('commentsauthornormal', '', false, false); ?>
					</div>
					<div class="tab3 menustyles" id="tab_commentsauthorhover">
						<?php echo $menustyles->createBlocStyles('commentsauthorhover', '', false, false); ?>
					</div>
				</div>
				<div class="tab2 menustyles" id="tab_commentsdate">
					<div class="menulink3 menustylescustom" data-prefix="commentsdatenormal" data-rule=".comment-metadata a" tab="tab_commentsdatenormal"><?php echo TCK_Text::_('CK_DATE'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></div></div>
					<div class="menulink3 menustylescustom" data-prefix="commentsdatehover" data-rule=".comment-metadata a:hover" tab="tab_commentsdatehover"><?php echo TCK_Text::_('CK_DATE'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_HOVERSTATE'); ?></div></div>
					<div class="clr"></div>
					<div class="tab3 menustyles current" id="tab_commentsdatenormal">
						<?php echo $menustyles->createBlocStyles('commentsdatenormal', '', false, false); ?>
					</div>
					<div class="tab3 menustyles" id="tab_commentsdatehover">
						<?php echo $menustyles->createBlocStyles('commentsdatehover', '', false, false); ?>
					</div>
				</div>
				<div class="tab2 menustyles" id="tab_commentseditlink">
					<div class="menulink3 current menustylescustom" data-prefix="commentseditlinknormal" data-rule=".comment-metadata a.comment-edit-link" tab="tab_commentseditlinknormal"><?php echo TCK_Text::_('CK_EDIT_LINK'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></div></div>
					<div class="menulink3 menustylescustom" data-prefix="commentseditlinkhover" data-rule=".comment-metadata a.comment-edit-link:hover" tab="tab_commentseditlinkhover"><?php echo TCK_Text::_('CK_EDIT_LINK'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_HOVERSTATE'); ?></div></div>
					<div class="clr"></div>
					<div class="tab3 menustyles current" id="tab_commentseditlinknormal">
						<?php echo $menustyles->createBlocStyles('commentseditlinknormal', '', false, false); ?>
					</div>
					<div class="tab3 menustyles" id="tab_commentseditlinkhover">
						<?php echo $menustyles->createBlocStyles('commentseditlinkhover', '', false, false); ?>
					</div>
				</div>
				<div class="tab2 menustyles menustylescustom" id="tab_commentstext" data-prefix="commentstext" data-rule=".comment-content">
					<?php echo $menustyles->createBlocStyles('commentstext', '', false, false); ?>
				</div>
				<div class="tab2 menustyles" id="tab_commentsreplylink">
					<div class="menulink3 current menustylescustom" data-prefix="commentsreplylinknormal" data-rule=".comment-reply-link" tab="tab_commentsreplylinknormal"><?php echo TCK_Text::_('CK_REPLY_LINK'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></div></div>
					<div class="menulink3 menustylescustom" data-prefix="commentsreplylinkhover" data-rule=".comment-reply-link:hover" tab="tab_commentsreplylinkhover"><?php echo TCK_Text::_('CK_REPLY_LINK'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_HOVERSTATE'); ?></div></div>
					<div class="clr"></div>
					<div class="tab3 menustyles current" id="tab_commentsreplylinknormal">
						<?php echo $menustyles->createBlocStyles('commentsreplylinknormal', '', false, false); ?>
					</div>
					<div class="tab3 menustyles" id="tab_commentsreplylinkhover">
						<?php echo $menustyles->createBlocStyles('commentsreplylinkhover', '', false, false); ?>
					</div>
				</div>
				<div class="tab2 menustyles" id="tab_commentsloggedinas">
					<div class="menulink3 current menustylescustom" data-prefix="commentsloggedinasnormal" data-rule=".logged-in-as a" tab="tab_commentsloggedinasnormal"><?php echo TCK_Text::_('CK_LOGGEDIN_AS'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></div></div>
					<div class="menulink3 menustylescustom" data-prefix="commentsloggedinashover" data-rule=".logged-in-as a:hover" tab="tab_commentsloggedinashover"><?php echo TCK_Text::_('CK_LOGGEDIN_AS'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_HOVERSTATE'); ?></div></div>
					<div class="clr"></div>
					<div class="tab3 menustyles current" id="tab_commentsloggedinasnormal">
						<?php echo $menustyles->createBlocStyles('commentsloggedinasnormal', '', false, false); ?>
					</div>
					<div class="tab3 menustyles" id="tab_commentsloggedinashover">
						<?php echo $menustyles->createBlocStyles('commentsloggedinashover', '', false, false); ?>
					</div>
				</div>
				<div class="tab2 menustyles menustylescustom" id="tab_commentscommentlabel" data-prefix="commentscommentlabel" data-rule=".comment-form label">
					<?php echo $menustyles->createBlocStyles('commentscommentlabel', '', false, false); ?>
				</div>
				<div class="tab2 menustyles menustylescustom" id="tab_commentscomment" data-prefix="commentscomment" data-rule=".comment-form textarea, .comment-form input">
					<?php echo $menustyles->createBlocStyles('commentscomment', '', false, false); ?>
				</div>
				<div class="tab2 menustyles" id="tab_commentssubmit">
					<div class="menulink3 menustylescustom" data-prefix="commentssubmitnormal" data-rule=".form-submit input" tab="tab_commentssubmitnormal"><?php echo TCK_Text::_('CK_SUBMIT'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_NORMALSTATE'); ?></div></div>
					<div class="menulink3 menustylescustom" data-prefix="commentssubmithover" data-rule=".form-submit input:hover" tab="tab_commentssubmithover"><?php echo TCK_Text::_('CK_SUBMIT'); ?><div class="menustyleslinkdesc"><?php echo TCK_Text::_('CK_HOVERSTATE'); ?></div></div>
					<div class="clr"></div>
					<div class="tab3 menustyles current" id="tab_commentssubmitnormal">
						<?php echo $menustyles->createBlocStyles('commentssubmitnormal', '', false, false); ?>
					</div>
					<div class="tab3 menustyles" id="tab_commentssubmithover">
						<?php echo $menustyles->createBlocStyles('commentssubmithover', '', false, false); ?>
					</div>
				</div>
				
			</div>
		</td>
		<td style="vertical-align:top;">
			<div id="previewarealayoutcomments" class="clearfix" style="margin: 20px 20px 20px 20px;">
				<div class="ckstyle"></div>
				<div id="comments" class="comments-area">

					<h2 class="comments-title">
						One Reply to “Welcome !”</h2>

					<ol class="comment-list">
						<li id="comment-1" class="comment even thread-even depth-1">
							<article id="div-comment-1" class="comment-body">
								<footer class="comment-meta">
									<div class="comment-author vcard">
										<img alt="" src="http://0.gravatar.com/avatar/?s=50&amp;d=mm&amp;r=g" srcset="http://0.gravatar.com/avatar/?s=100&amp;d=mm&amp;r=g 2x" class="avatar avatar-50 photo avatar-default" height="50" width="50">						
										<b class="fn"><a href="javascript:void(0)" rel="external nofollow" class="url">Mister WordPress</a></b> <span class="says">says&nbsp;:</span>					</div><!-- .comment-author -->

									<div class="comment-metadata">
										<a href="javascript:void(0)">
											<time datetime="2015-06-14T11:16:11+00:00">
												14 june 2015 at 11 h 16 min							</time>
										</a>
										<span class="edit-link"><a class="comment-edit-link" href="javascript:void(0)">Edit</a></span>					</div><!-- .comment-metadata -->

								</footer><!-- .comment-meta -->

								<div class="comment-content">
									<p>Hello, this is a comment.<br>
										Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris non venenatis lacus.</p>
								</div><!-- .comment-content -->

								<div class="reply"><a rel="nofollow" class="comment-reply-link" href="javascript:void(0)" aria-label="Répondre à Monsieur WordPress">Reply</a></div>			
							</article><!-- .comment-body -->
						</li><!-- #comment-## -->
					</ol>

					<div id="respond" class="comment-respond">
						<h3 id="reply-title" class="comment-reply-title">Leave a reply <small><a rel="nofollow" id="cancel-comment-reply-link" href="javascript:void(0)" style="display:none;">Cancel.</a></small></h3>			
						
							<p class="logged-in-as"><a href="javascript:void(0)" >Logged in as admin</a>. <a href="javascript:void(0)">Logout&nbsp;?</a></p><p class="comment-form-comment"><label for="comment">Comment</label> 
								<textarea id="comment" name="comment" cols="45" rows="8" maxlength="65525" aria-required="true" required="required"></textarea></p><p class="form-submit">
								<input name="submit" id="submit" class="submit" value="Post Comment" type="submit" onclick="return false;">
							</p>

					</div><!-- #respond -->

				</div>
			</div>
		</td>
	</tr>
</table>
	</div>
</div>
<script language="javascript" type="text/javascript">
	$ck('#elementscontent div.tab:not(.current)').hide();
			$ck('.menulink', $ck('#elementscontainer')).each(function(i, tab) {
				$ck(tab).click(function() {
					$ck('#elementscontent div.tab').hide();
					$ck('.menulink', $ck('#elementscontainer')).removeClass('current');
					if ($ck('#' + $ck(tab).attr('tab')).length)
						$ck('#' + $ck(tab).attr('tab')).show();
					$ck(this).addClass('current');
				});
			});

			$ck('#elementscontent div.tab2:not(.current)').hide();
			$ck('.menulink2', $ck('#elementscontainer')).each(function(i, tab) {
				$ck(tab).click(function() {
					$ck('#elementscontent div.tab2').hide();
					$ck('.menulink2', $ck('#elementscontainer')).removeClass('current');
					if ($ck('#' + $ck(tab).attr('tab')).length)
						$ck('#' + $ck(tab).attr('tab')).show();
					$ck(this).addClass('current');
				});
			});

			$ck('#elementscontent div.tab3:not(.current)').hide();
			$ck('.menulink3', $ck('#elementscontainer')).each(function(i, tab) {
				$ck(tab).click(function() {
					var p = $ck(this).parent();
					$ck('.tab3', p).hide();
					$ck('.menulink3', p).removeClass('current');
					if ($ck('#' + $ck(tab).attr('tab')).length)
						$ck('#' + $ck(tab).attr('tab')).show();
					$ck(this).addClass('current');
				});
			});
	initColorPickers();
	initModalPopup();
	initAccordionStyles();

	function ckUpdateLayoutPreview() {
		ckCommentsUpdateAvatar();
		ckCommentsToggleIcons();
		ckCommentsUpdateStyle();
	}

	function ckCommentsUpdateAvatar() {
		var size = $ck('#commentsavatarsize').val();
		$ck('#previewarealayoutcomments img.avatar')
			.width(size)
			.height(size);
	}

	function ckCommentsToggleIcons() {
		var icons = $ck('#commentsicons').val();
		if (icons == '1') {
			$ck('#previewarealayoutcomments .comments-area').addClass('comments-with-icons');
		} else {
			$ck('#previewarealayoutcomments .comments-area').removeClass('comments-with-icons');
		}
	}

	function ckCommentsUpdateStyle() {
		var style = $ck('[name="commentsstyle"]:checked').val();
		$ck('#previewarealayoutcomments .comments-area').removeClass('comments-style1');
		$ck('#previewarealayoutcomments .comments-area').removeClass('comments-style2');
		$ck('#previewarealayoutcomments .comments-area').removeClass('comments-style3');
		if (style == 'style1' || style == 'style2' || style == 'style3') {
			$ck('#previewarealayoutcomments .comments-area').addClass('comments-' + style);
		}
	}
</script>
