<?php

/**
 * @name		Template Creator CK 3
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// No direct access to this file
defined('ABSPATH') or die();

$input = new TCK_Input();
$blocs = $input->get('favorite', null, null);
$id = $input->get('id', -1, 'int');
$path = TEMPLATECREATORCK_PATH . '/favorites';
$error = 0;

if (is_numeric($id) && (int) $id > -1) {
	$i = (int) $id;
} else {
	$i = count(TCK_Folder::files($path, '.fck3'));
	$j = 0;
	$error = 0;
	while (TCK_File::exists(TEMPLATECREATORCK_PATH . '/favorites/favorite'.$i.'.fck3') && $j < 1000) {
		$i++;
		$j++;
	}
	if ($j >= 1000) {
		echo 'ERROR reach loop of 1000 files';
		$error = 1;
	}
}

$exportfiledest = TEMPLATECREATORCK_PATH . '/favorites/favorite'.$i.'.fck3';
$exportfiletext = $blocs;

if (!TCK_File::write($exportfiledest, $exportfiletext) || $error == 1) {
	$msg = TCK_Text::_('CK_ERROR_CREATING_FAVORITEFILE');
	$status = 0;
} else {
	$msg = $i;
	$status = 1;
}
echo '{"status": "' . $status . '", "msg": "' . $msg . '"}';
exit();