<?php
/**
 * @name		Template Creator CK 3
 * @package		com_templateck
 * @copyright	Copyright (C) 2013. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */
// no direct access
defined('ABSPATH') or die;
// calls the isntalled fonts
$this->_callfonts();
// set browser cache to 0 to refresh and show the real page 
//header("Cache-Control: no-cache, no-store, must-revalidate");
//header("Pragma: no-cache");
//header("Expires: 0");
?>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<base href="<?php echo TEMPLATECREATORCK_ADMIN_URL ?>" />
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta http-equiv="Expires" content="Tue, 01 Jan 1995 12:12:12 GMT">
<meta http-equiv="Pragma" content="no-cache">
<title>Template Creator CK</title>
<script type="text/javascript">
	var URIROOT = "<?php echo TEMPLATECREATORCK_URI_ROOT; ?>";
	var URIBASE = "<?php echo TEMPLATECREATORCK_URI_BASE; ?>";
//	var URITCK = "<?php //echo TEMPLATECREATORCK_MEDIA_URL; ?>";
	var TEMPLATEID = "<?php echo $this->item->id; ?>";
	var CLIPBOARDCK = '';
	var CLIPBOARDCOLORCK = '';
	var BLOCCKSTYLESBACKUP = '';
	var FAVORITELOCKED = '';
	var ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>';
	var TEMPLATECREATORCK_URL = URIBASE + 'admin.php?page=templatecreatorck_edit';
	var CKTOKEN = 'cktoken=<?php echo wp_create_nonce('templatecreatorck') ?>';
	var TEMPLATECREATORCK_ADMIN_URL = '<?php echo TEMPLATECREATORCK_ADMIN_URL ?>';
</script>
<link rel="stylesheet" href="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/ckframework.css" type="text/css" />
<link rel="stylesheet" href="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/ckbox.css" type="text/css" />
<link rel="stylesheet" href="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/colpick.css" type="text/css" />
<link rel="stylesheet" href="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/templateck_template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/font-awesome.min.css" type="text/css" />
<link rel="stylesheet" href="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/codemirror.css" type="text/css" />

<script src="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/jquery.min.js" type="text/javascript"></script>
<script src="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/jquery-ui-1.10.4.custom.min.js" type="text/javascript"></script>
<script src="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/ckbox.js" type="text/javascript"></script>
<script src="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/templateck_template.js" type="text/javascript"></script>
<script src="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/colpick.js" type="text/javascript"></script>
<script src="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/html2canvas.js" type="text/javascript"></script>
<script src="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/codemirror.js" type="text/javascript"></script>
<script src="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/php.js" type="text/javascript"></script>
<script src="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/javascript.js" type="text/javascript"></script>
<script src="<?php echo TEMPLATECREATORCK_MEDIA_URL ?>/assets/css.js" type="text/javascript"></script>

<script type="text/javascript">
	tck_submitbutton = function(task) {
		if (task == 'save' && !$ck('#name').val()) {
			alert('<?php echo TCK_Text::_('TEMPLATE_MUST_HAVE_NAME'); ?>');
			editGlobalinfos();
			$ck('#name').focus();
			return;
		}
		$ck('#htmlcode').attr('value', $ck('#conteneur').html());
		$ck('.layoutfield').each(function() {
			var type = $ck(this).attr('data-type');
			$ck(this).attr('value',$ck('#layout_' + type + '_html').html());
		});
		
		$ck('#jsoninfos').attr('value', JSON.stringify($ck( '.jsoninfos' ).serializeArray()));
		document.getElementById('adminForm').submit();
	}
	$ck(document).ready(function() {
		ckInitInterface();
		ckGetLibraryTemplates();
//		ckSaveAction();
		CKBox.initialize({});
		CKBox.assign($ck('a.modal'), {
			parse: 'rel'
		});
		window.setInterval("ckKeepAlive()", 600000);
		$ck('#ckleftpanel .ckmyfavorite').each(function() {
			ckSeparateStylesForBlock(this.id);
		});
	});

	(function() {
		var strings = {
		  "CK_TEMPLATE_MUST_HAVE_NAME":"<?php echo TCK_Text::_('CK_TEMPLATE_MUST_HAVE_NAME') ?>",
		  "TEMPLATE_MUST_HAVE_WIDTH":"<?php echo TCK_Text::_('TEMPLATE_MUST_HAVE_WIDTH') ?>",
		  "CK_LOADING":"<?php echo TCK_Text::_('CK_LOADING') ?>",
		  "CK_LOAD_SUCCESS_STEP1":"<?php echo TCK_Text::_('CK_LOAD_SUCCESS_STEP1') ?>",
		  "CK_LOAD_FAILURE_STEP1":"<?php echo TCK_Text::_('CK_LOAD_FAILURE_STEP1') ?>",
		  "CK_LOAD_SUCCESS_STEP_ARCHIVE":"<?php echo TCK_Text::_('CK_LOAD_SUCCESS_STEP_ARCHIVE') ?>",
		  "CK_LOAD_FAILURE_STEP_ARCHIVE":"<?php echo TCK_Text::_('CK_LOAD_FAILURE_STEP_ARCHIVE') ?>",
		  "CK_LOAD_SUCCESS_STEP_XML":"<?php echo TCK_Text::_('CK_LOAD_SUCCESS_STEP_XML') ?>",
		  "CK_LOAD_FAILURE_STEP_XML":"<?php echo TCK_Text::_('CK_LOAD_FAILURE_STEP_XML') ?>",
		  "CK_LOAD_SUCCESS_STEP_CSS":"<?php echo TCK_Text::_('CK_LOAD_SUCCESS_STEP_CSS') ?>",
		  "CK_LOAD_FAILURE_STEP_CSS":"<?php echo TCK_Text::_('CK_LOAD_FAILURE_STEP_CSS') ?>",
		  "CK_PREVIEW_TEMPLATE":"<?php echo TCK_Text::_('CK_PREVIEW_TEMPLATE') ?>",
		  "CK_ONLY_ONE_COMPONENT":"<?php echo TCK_Text::_('CK_ONLY_ONE_COMPONENT') ?>",
		  "CK_COPYTOCLIPBOARD":"<?php echo TCK_Text::_('CK_COPYTOCLIPBOARD') ?>",
		  "CK_COPYFROMCLIPBOARD":"<?php echo TCK_Text::_('CK_COPYFROMCLIPBOARD') ?>",
		  "CK_CLIPBOARDEMPTY":"<?php echo TCK_Text::_('CK_CLIPBOARDEMPTY') ?>",
		  "TEMPLATE_MUST_HAVE_CONTENT":"<?php echo TCK_Text::_('TEMPLATE_MUST_HAVE_CONTENT') ?>",
		  "CK_INVALID_ID":"<?php echo TCK_Text::_('CK_INVALID_ID') ?>",
		  "CK_ENTER_VALID_ID":"<?php echo TCK_Text::_('CK_ENTER_VALID_ID') ?>",
		  "CK_ENTER_VALID_POSITION":"<?php echo TCK_Text::_('CK_ENTER_VALID_POSITION') ?>",
		  "CK_ENTER_UNIQUE_ID":"<?php echo TCK_Text::_('CK_ENTER_UNIQUE_ID') ?>",
		  "CK_ENTER_UNIQUE_POSITION":"<?php echo TCK_Text::_('CK_ENTER_UNIQUE_POSITION') ?>",
		  "CK_POSITION_ALREADY_USED":"<?php echo TCK_Text::_('CK_POSITION_ALREADY_USED') ?>",
		  "CK_CHOOSE_BLOC_TYPE":"<?php echo TCK_Text::_('CK_CHOOSE_BLOC_TYPE') ?>",
		  "CK_ERASE_WITH_NEW_THEME":"<?php echo TCK_Text::_('CK_ERASE_WITH_NEW_THEME') ?>",
		  "JLIB_FORM_FIELD_INVALID":"<?php echo TCK_Text::_('JLIB_FORM_FIELD_INVALID') ?>",
		  "CK_DIRECTCOPY_BUTTON":"<?php echo TCK_Text::_('CK_DIRECTCOPY_BUTTON') ?>",
		  "CK_INSTALL_BUTTON":"<?php echo TCK_Text::_('CK_INSTALL_BUTTON') ?>",
		  "CK_DIRECTCOPY_BUTTON_DESC":"<?php echo TCK_Text::_('CK_DIRECTCOPY_BUTTON_DESC') ?>",
		  "CK_INSTALL_BUTTON_DESC":"<?php echo TCK_Text::_('CK_INSTALL_BUTTON_DESC') ?>",
		  "CK_MOVE_TOOLTIP":"<?php echo TCK_Text::_('CK_MOVE_TOOLTIP') ?>",
		  "CK_CSS_TOOLTIP":"<?php echo TCK_Text::_('CK_CSS_TOOLTIP') ?>",
		  "CK_FAVORITE_TOOLTIP":"<?php echo TCK_Text::_('CK_FAVORITE_TOOLTIP') ?>",
		  "CK_MODULES_TOOLTIP":"<?php echo TCK_Text::_('CK_MODULES_TOOLTIP') ?>",
		  "CK_ROW_TOOLTIP":"<?php echo TCK_Text::_('CK_ROW_TOOLTIP') ?>",
		  "CK_BANNER_TOOLTIP":"<?php echo TCK_Text::_('CK_BANNER_TOOLTIP') ?>",
		  "CK_MAINCONTENT_TOOLTIP":"<?php echo TCK_Text::_('CK_MAINCONTENT_TOOLTIP') ?>",
		  "CK_ERASE_WITH_NEW_FAVORITE":"<?php echo TCK_Text::_('CK_ERASE_WITH_NEW_FAVORITE') ?>",
		  "CK_SUCCESS_CREATING_FAVORITEFILE":"<?php echo TCK_Text::_('CK_SUCCESS_CREATING_FAVORITEFILE') ?>",
		  "CK_SELECT_PALETTE":"<?php echo TCK_Text::_('CK_SELECT_PALETTE') ?>",
		  "CK_OK":"<?php echo TCK_Text::_('CK_OK') ?>",
		  "CK_CLEAR":"<?php echo TCK_Text::_('CK_CLEAR') ?>",
		  "CK_COPY":"<?php echo TCK_Text::_('CK_COPY') ?>",
		  "CK_PASTE":"<?php echo TCK_Text::_('CK_PASTE') ?>",
		  "CK_NO_MORE_UNDO":"<?php echo TCK_Text::_('CK_NO_MORE_UNDO') ?>",
		  "CK_NO_MORE_REDO":"<?php echo TCK_Text::_('CK_NO_MORE_REDO') ?>",
		  "CK_EDIT":"<?php echo TCK_Text::_('CK_EDIT') ?>",
		  "CK_DELETE":"<?php echo TCK_Text::_('CK_DELETE') ?>",
		  "CK_BACK_TO_WIDGETS_LIST":"<?php echo TCK_Text::_('CK_BACK_TO_WIDGETS_LIST') ?>",
		  "CK_SAVE_CLOSE":"<?php echo TCK_Text::_('CK_SAVE_CLOSE') ?>",
		  "CK_MODULE_EDITION_TOOLTIP":"<?php echo TCK_Text::_('CK_MODULE_EDITION_TOOLTIP') ?>",
		  "CK_SAVE_FIRST_USE_MODULE":"<?php echo TCK_Text::_('CK_SAVE_FIRST_USE_MODULE') ?>",
		  "CK_MODULE_INSTALL_FAILED":"<?php echo TCK_Text::_('CK_MODULE_INSTALL_FAILED') ?>",
		  "CK_MODULE_INSTALL_SUCCESS":"<?php echo TCK_Text::_('CK_MODULE_INSTALL_SUCCESS') ?>",
		  "CK_TOGGLE_STATE":"<?php echo TCK_Text::_('CK_TOGGLE_STATE') ?>",
		  "CK_POSITION":"<?php echo TCK_Text::_('CK_POSITION') ?>",
		  "CK_HTML_ID":"<?php echo TCK_Text::_('CK_HTML_ID') ?>",
		  "CK_FULLWIDTH":"<?php echo TCK_Text::_('CK_FULLWIDTH') ?>",
		  "CK_FILTER_BY_GROUP":"<?php echo TCK_Text::_('CK_FILTER_BY_GROUP') ?>",
		  "CK_SAVE":"<?php echo TCK_Text::_('CK_SAVE') ?>",
		  "CK_LOAD_FAILURE_TEMPLATE_CREATION":"<?php echo TCK_Text::_('CK_LOAD_FAILURE_TEMPLATE_CREATION') ?>",
		  "CK_RESPONSIVE_SETTINGS_SHOWN":"<?php echo TCK_Text::_('CK_RESPONSIVE_SETTINGS_SHOWN') ?>",
		  "CK_RESPONSIVE_SETTINGS_HIDDEN":"<?php echo TCK_Text::_('CK_RESPONSIVE_SETTINGS_HIDDEN') ?>",
		  "CK_RESPONSIVE_SETTINGS_ALIGNED":"<?php echo TCK_Text::_('CK_RESPONSIVE_SETTINGS_ALIGNED') ?>",
		  "CK_RESPONSIVE_SETTINGS_STACKED":"<?php echo TCK_Text::_('CK_RESPONSIVE_SETTINGS_STACKED') ?>",
		  "CK_EXIT_RESPONSIVE_FIRST":"<?php echo TCK_Text::_('CK_EXIT_RESPONSIVE_FIRST') ?>",
		  "CK_EQUALHEIGHTS_TOOLTIP":"<?php echo TCK_Text::_('CK_EQUALHEIGHTS_TOOLTIP') ?>"};
		if (typeof TCK == 'undefined') {
			TCK = {};
			TCK.Text = strings;
		}
		else {
			TCK.Text.load(strings);
		}
	})();
  </script>
